(* Content-type: application/mathematica *)



(*** Wolfram Notebook File ***)

(* https://urldefense.proofpoint.com/v2/url?u=http-3A__www.wolfram.com_nb&d=AAIGAQ&c=kbmfwr1Yojg42sGEpaQh5ofMHBeTl9EI2eaqQZhHbOU&r=19xB9CgUi7VwmC6lxXhlLRpm8aOqM5CtvvLsDAq8-EY&m=o0bcSPaBmdwkNQEYkADVSFHnH305oaBfu-zBz4kXDD4&s=xxeeATTN61XEmaEdoJjqNOzIZOdU5QUEv3mnIdrSu0U&e=  *)



(* CreatedBy='Mathematica 6.0' *)



(*CacheID: 234*)

(* Internal cache information:

NotebookFileLineBreakTest

NotebookFileLineBreakTest

NotebookDataPosition[       145,          7]

NotebookDataLength[    151406,       3797]

NotebookOptionsPosition[    148811,       3711]

NotebookOutlinePosition[    149248,       3728]

CellTagsIndexPosition[    149205,       3725]

WindowFrame->Normal*)



(* Beginning of Notebook Content *)

Notebook[{



Cell[CellGroupData[{

Cell["\<\

Orthonormal bases for two - dimensional monochromatic focused fields and \

their use in the calculation of optical forces and torques over circular \

scatterers.\

\>", "Title",

 CellChangeTimes->{{3.4862957615322266`*^9, 3.4862958397509766`*^9}, {

  3.518792313758478*^9, 3.518792396204648*^9}, {3.5187924796799917`*^9, 

  3.518792490259115*^9}}],



Cell["\<\

Miguel A. Alonso

The Institute of Optics

University of Rochester

Rochester NY 14627\

\>", "Subtitle"],



Cell[CellGroupData[{



Cell["\<\

Definitions: please enter this cell to initialize the program\

\>", "Section",

 CellChangeTimes->{{3.4823115606169987`*^9, 3.482311575538418*^9}, {

  3.4862932657910156`*^9, 3.4862932823203125`*^9}, {3.487506836953125*^9, 

  3.487506838546875*^9}, {3.488267573453125*^9, 3.488267574140625*^9}}],



Cell[CellGroupData[{



Cell[BoxData[

 RowBox[{"\[IndentingNewLine]", 

  RowBox[{

   RowBox[{

    RowBox[{

     RowBox[{"in", "[", "n_", "]"}], ":=", 

     RowBox[{"Mod", "[", 

      RowBox[{"n", ",", "2"}], "]"}]}], ";"}], "\[IndentingNewLine]", 

   RowBox[{

    RowBox[{

     RowBox[{"BesselItab", "[", 

      RowBox[{"nmax_", ",", "kq_"}], "]"}], ":=", 

     RowBox[{"Table", "[", 

      RowBox[{

       RowBox[{"BesselI", "[", 

        RowBox[{"n", ",", "kq"}], "]"}], ",", 

       RowBox[{"{", 

        RowBox[{"n", ",", "0", ",", 

         RowBox[{

          RowBox[{"2", " ", "nmax"}], "+", "3"}]}], "}"}]}], "]"}]}], ";"}], 

   "\n", 

   RowBox[{

    RowBox[{

     RowBox[{"\[Mu]c", "[", 

      RowBox[{"n_", ",", "Itab_"}], "]"}], ":=", 

     RowBox[{

      RowBox[{"1", "/", 

       RowBox[{"(", 

        RowBox[{"2", "^", 

         RowBox[{"(", 

          RowBox[{"n", "-", "1"}], ")"}]}], ")"}]}], " ", 

      RowBox[{"Sum", "[", 

       RowBox[{

        RowBox[{

         RowBox[{"1", "/", 

          RowBox[{"(", 

           RowBox[{"1", "+", " ", 

            RowBox[{"KroneckerDelta", "[", 

             RowBox[{

              RowBox[{

               RowBox[{"in", "[", "n", "]"}], "+", 

               RowBox[{"2", " ", "i"}]}], ",", "0"}], "]"}]}], ")"}]}], 

         RowBox[{"Binomial", "[", 

          RowBox[{"n", ",", 

           RowBox[{

            RowBox[{

             RowBox[{"(", 

              RowBox[{"n", "+", 

               RowBox[{"in", "[", "n", "]"}]}], ")"}], "/", "2"}], "+", 

            "i"}]}], "]"}], " ", 

         RowBox[{"Itab", "[", 

          RowBox[{"[", 

           RowBox[{

            RowBox[{"in", "[", "n", "]"}], "+", 

            RowBox[{"2", " ", "i"}], "+", "1"}], "]"}], "]"}]}], ",", 

        RowBox[{"{", 

         RowBox[{"i", ",", "0", ",", 

          RowBox[{

           RowBox[{"(", 

            RowBox[{"n", "+", 

             RowBox[{"in", "[", "n", "]"}]}], ")"}], "/", "2"}]}], "}"}]}], 

       "]"}]}]}], ";"}], "\[IndentingNewLine]", 

   RowBox[{

    RowBox[{

     RowBox[{"\[Mu]s", "[", 

      RowBox[{"n_", ",", "\[Mu]ct_"}], "]"}], ":=", 

     RowBox[{

      RowBox[{"\[Mu]ct", "[", 

       RowBox[{"[", 

        RowBox[{"n", "+", "1"}], "]"}], "]"}], "-", 

      RowBox[{"\[Mu]ct", "[", 

       RowBox[{"[", 

        RowBox[{"n", "+", "2", "+", "1"}], "]"}], "]"}]}]}], ";"}], 

   "\[IndentingNewLine]", "\n", "\n", 

   RowBox[{

    RowBox[{

     RowBox[{"Pol", "[", 

      RowBox[{"n_", ",", "\[Mu]tab_", ",", "u_"}], "]"}], ":=", 

     RowBox[{"Sum", "[", 

      RowBox[{

       RowBox[{"If", "[", 

        RowBox[{

         RowBox[{"n", "\[Equal]", "0"}], ",", "1", ",", 

         RowBox[{

          RowBox[{"Det", "[", 

           RowBox[{"Table", "[", 

            RowBox[{

             RowBox[{"If", "[", 

              RowBox[{

               RowBox[{"n1", "<", "nn"}], ",", 

               RowBox[{"\[Mu]tab", "[", 

                RowBox[{"[", 

                 RowBox[{"n1", "+", "n2", "+", "1"}], "]"}], "]"}], ",", 

               RowBox[{"\[Mu]tab", "[", 

                RowBox[{"[", 

                 RowBox[{"n1", "+", "n2", "+", "2"}], "]"}], "]"}]}], "]"}], 

             ",", 

             RowBox[{"{", 

              RowBox[{"n1", ",", "0", ",", 

               RowBox[{"n", "-", "1"}]}], "}"}], ",", 

             RowBox[{"{", 

              RowBox[{"n2", ",", "0", ",", 

               RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}], "]"}], 

          RowBox[{

           RowBox[{"(", 

            RowBox[{"-", "1"}], ")"}], "^", 

           RowBox[{"(", 

            RowBox[{"nn", "+", "n"}], ")"}]}], " ", 

          RowBox[{"u", "^", "nn"}]}]}], "]"}], ",", 

       RowBox[{"{", 

        RowBox[{"nn", ",", "0", ",", "n"}], "}"}]}], "]"}]}], ";"}], "\n", 

   RowBox[{

    RowBox[{

     RowBox[{"\[CapitalDelta]", "[", 

      RowBox[{"n_", ",", "\[Mu]tab_"}], "]"}], ":=", 

     RowBox[{"If", "[", 

      RowBox[{

       RowBox[{"n", "<", "0"}], ",", "1", ",", 

       RowBox[{"Det", "[", 

        RowBox[{"Table", "[", 

         RowBox[{

          RowBox[{"\[Mu]tab", "[", 

           RowBox[{"[", 

            RowBox[{"n1", "+", "n2", "+", "1"}], "]"}], "]"}], ",", 

          RowBox[{"{", 

           RowBox[{"n1", ",", "0", ",", "n"}], "}"}], ",", 

          RowBox[{"{", 

           RowBox[{"n2", ",", "0", ",", "n"}], "}"}]}], "]"}], "]"}]}], 

      "]"}]}], ";"}], "\[IndentingNewLine]", 

   RowBox[{

    RowBox[{"numaccuracy", "=", "100"}], ";"}], "\n", 

   RowBox[{

    RowBox[{

     RowBox[{"AC", "[", 

      RowBox[{"t_", ",", "kq_", ",", "n_"}], "]"}], ":=", 

     RowBox[{"Module", "[", 

      RowBox[{

       RowBox[{"{", 

        RowBox[{"kq0", ",", "It", ",", "\[Mu]ct", ",", "\[Mu]st"}], "}"}], 

       ",", 

       RowBox[{

        RowBox[{"kq0", "=", 

         RowBox[{"N", "[", 

          RowBox[{"kq", ",", "numaccuracy"}], "]"}]}], ";", 

        RowBox[{"It", "=", 

         RowBox[{"BesselItab", "[", 

          RowBox[{"n", ",", 

           RowBox[{"2", " ", "kq0"}]}], "]"}]}], ";", "\[IndentingNewLine]", 

        RowBox[{"\[Mu]ct", "=", 

         RowBox[{"Table", "[", 

          RowBox[{

           RowBox[{"\[Mu]c", "[", 

            RowBox[{"npt", ",", "It"}], "]"}], ",", 

           RowBox[{"{", 

            RowBox[{"npt", ",", "0", ",", 

             RowBox[{

              RowBox[{"2", " ", "n"}], "+", "2"}]}], "}"}]}], "]"}]}], ";", 

        "\[IndentingNewLine]", 

        RowBox[{"\[Mu]st", "=", 

         RowBox[{"Table", "[", 

          RowBox[{

           RowBox[{"\[Mu]s", "[", 

            RowBox[{"npt", ",", "\[Mu]ct"}], "]"}], ",", 

           RowBox[{"{", 

            RowBox[{"npt", ",", "0", ",", 

             RowBox[{"2", " ", "n"}]}], "}"}]}], "]"}]}], ";", 

        RowBox[{

         RowBox[{"Exp", "[", 

          RowBox[{"kq0", " ", 

           RowBox[{"Cos", "[", "t", "]"}]}], "]"}], " ", 

         RowBox[{

          RowBox[{"Pol", "[", 

           RowBox[{"n", ",", "\[Mu]ct", ",", 

            RowBox[{"Cos", "[", "t", "]"}]}], "]"}], "/", 

          RowBox[{"Sqrt", "[", 

           RowBox[{"2", " ", "Pi", " ", 

            RowBox[{"\[CapitalDelta]", "[", 

             RowBox[{

              RowBox[{"n", "-", "1"}], ",", "\[Mu]ct"}], "]"}], " ", 

            RowBox[{"\[CapitalDelta]", "[", 

             RowBox[{"n", ",", "\[Mu]ct"}], "]"}]}], "]"}]}]}]}]}], "]"}]}], 

    ";", 

    RowBox[{

     RowBox[{"AS", "[", 

      RowBox[{"t_", ",", "kq_", ",", "n_"}], "]"}], ":=", 

     RowBox[{"Module", "[", 

      RowBox[{

       RowBox[{"{", 

        RowBox[{"kq0", ",", "It", ",", "\[Mu]ct", ",", "\[Mu]st"}], "}"}], 

       ",", 

       RowBox[{

        RowBox[{"kq0", "=", 

         RowBox[{"N", "[", 

          RowBox[{"kq", ",", "numaccuracy"}], "]"}]}], ";", 

        RowBox[{"It", "=", 

         RowBox[{"BesselItab", "[", 

          RowBox[{"n", ",", 

           RowBox[{"2", " ", "kq0"}]}], "]"}]}], ";", "\[IndentingNewLine]", 

        RowBox[{"\[Mu]ct", "=", 

         RowBox[{"Table", "[", 

          RowBox[{

           RowBox[{"\[Mu]c", "[", 

            RowBox[{"npt", ",", "It"}], "]"}], ",", 

           RowBox[{"{", 

            RowBox[{"npt", ",", "0", ",", 

             RowBox[{

              RowBox[{"2", " ", "n"}], "+", "2"}]}], "}"}]}], "]"}]}], ";", 

        "\[IndentingNewLine]", 

        RowBox[{"\[Mu]st", "=", 

         RowBox[{"Table", "[", 

          RowBox[{

           RowBox[{"\[Mu]s", "[", 

            RowBox[{"npt", ",", "\[Mu]ct"}], "]"}], ",", 

           RowBox[{"{", 

            RowBox[{"npt", ",", "0", ",", 

             RowBox[{"2", " ", "n"}]}], "}"}]}], "]"}]}], ";", 

        RowBox[{

         RowBox[{"Exp", "[", 

          RowBox[{"kq0", " ", 

           RowBox[{"Cos", "[", "t", "]"}]}], "]"}], " ", 

         RowBox[{"Sin", "[", "t", "]"}], " ", 

         RowBox[{

          RowBox[{"Pol", "[", 

           RowBox[{

            RowBox[{"n", "-", "1"}], ",", "\[Mu]st", ",", 

            RowBox[{"Cos", "[", "t", "]"}]}], "]"}], "/", 

          RowBox[{"Sqrt", "[", 

           RowBox[{"2", " ", "Pi", " ", 

            RowBox[{"\[CapitalDelta]", "[", 

             RowBox[{

              RowBox[{"n", "-", "1"}], ",", "\[Mu]st"}], "]"}], " ", 

            RowBox[{"\[CapitalDelta]", "[", 

             RowBox[{"n", ",", "\[Mu]st"}], "]"}]}], "]"}]}]}]}]}], "]"}]}], 

    ";", 

    RowBox[{

     RowBox[{"ACStab", "[", 

      RowBox[{"t_", ",", "kq_", ",", "nmax_"}], "]"}], ":=", 

     RowBox[{"Module", "[", 

      RowBox[{

       RowBox[{"{", 

        RowBox[{"kq0", ",", "It", ",", "\[Mu]ct", ",", "\[Mu]st"}], "}"}], 

       ",", 

       RowBox[{

        RowBox[{"kq0", "=", 

         RowBox[{"N", "[", 

          RowBox[{"kq", ",", "numaccuracy"}], "]"}]}], ";", 

        RowBox[{"It", "=", 

         RowBox[{"BesselItab", "[", 

          RowBox[{"nmax", ",", 

           RowBox[{"2", " ", "kq0"}]}], "]"}]}], ";", "\[IndentingNewLine]", 

        RowBox[{"\[Mu]ct", "=", 

         RowBox[{"Table", "[", 

          RowBox[{

           RowBox[{"\[Mu]c", "[", 

            RowBox[{"n", ",", "It"}], "]"}], ",", 

           RowBox[{"{", 

            RowBox[{"n", ",", "0", ",", 

             RowBox[{

              RowBox[{"2", " ", "nmax"}], "+", "2"}]}], "}"}]}], "]"}]}], ";",

         "\[IndentingNewLine]", 

        RowBox[{"\[Mu]st", "=", 

         RowBox[{"Table", "[", 

          RowBox[{

           RowBox[{"\[Mu]s", "[", 

            RowBox[{"n", ",", "\[Mu]ct"}], "]"}], ",", 

           RowBox[{"{", 

            RowBox[{"n", ",", "0", ",", 

             RowBox[{"2", " ", "nmax"}]}], "}"}]}], "]"}]}], ";", 

        RowBox[{"{", 

         RowBox[{

          RowBox[{"Table", "[", 

           RowBox[{

            RowBox[{

             RowBox[{"Exp", "[", 

              RowBox[{"kq0", " ", 

               RowBox[{"Cos", "[", "t", "]"}]}], "]"}], " ", 

             RowBox[{

              RowBox[{"Pol", "[", 

               RowBox[{"n", ",", "\[Mu]ct", ",", 

                RowBox[{"Cos", "[", "t", "]"}]}], "]"}], "/", 

              RowBox[{"Sqrt", "[", 

               RowBox[{"2", " ", "Pi", " ", 

                RowBox[{"\[CapitalDelta]", "[", 

                 RowBox[{

                  RowBox[{"n", "-", "1"}], ",", "\[Mu]ct"}], "]"}], " ", 

                RowBox[{"\[CapitalDelta]", "[", 

                 RowBox[{"n", ",", "\[Mu]ct"}], "]"}]}], "]"}]}]}], ",", " ", 

            

            RowBox[{"{", 

             RowBox[{"n", ",", "0", ",", "nmax"}], "}"}]}], "]"}], ",", 

          RowBox[{"Table", "[", 

           RowBox[{

            RowBox[{

             RowBox[{"Exp", "[", 

              RowBox[{"kq0", " ", 

               RowBox[{"Cos", "[", "t", "]"}]}], "]"}], " ", 

             RowBox[{"Sin", "[", "t", "]"}], " ", 

             RowBox[{

              RowBox[{"Pol", "[", 

               RowBox[{"n", ",", "\[Mu]st", ",", 

                RowBox[{"Cos", "[", "t", "]"}]}], "]"}], "/", 

              RowBox[{"Sqrt", "[", 

               RowBox[{"2", " ", "Pi", " ", 

                RowBox[{"\[CapitalDelta]", "[", 

                 RowBox[{

                  RowBox[{"n", "-", "1"}], ",", "\[Mu]st"}], "]"}], " ", 

                RowBox[{"\[CapitalDelta]", "[", 

                 RowBox[{"n", ",", "\[Mu]st"}], "]"}]}], "]"}]}]}], ",", " ", 

            

            RowBox[{"{", 

             RowBox[{"n", ",", "0", ",", 

              RowBox[{"nmax", "-", "1"}]}], "}"}]}], "]"}]}], "}"}]}]}], 

      "]"}]}], ";"}], "\n", "\[IndentingNewLine]", 

   RowBox[{

    RowBox[{

     RowBox[{"KC", "[", 

      RowBox[{"n_", ",", "\[Mu]ct_"}], "]"}], ":=", 

     RowBox[{

      RowBox[{"CoefficientList", "[", 

       RowBox[{

        RowBox[{"Pol", "[", 

         RowBox[{"n", ",", "\[Mu]ct", ",", "u"}], "]"}], ",", "u"}], "]"}], 

      "/", 

      RowBox[{"Sqrt", "[", 

       RowBox[{"2", " ", "Pi", " ", 

        RowBox[{"\[CapitalDelta]", "[", 

         RowBox[{

          RowBox[{"n", "-", "1"}], ",", "\[Mu]ct"}], "]"}], " ", 

        RowBox[{"\[CapitalDelta]", "[", 

         RowBox[{"n", ",", "\[Mu]ct"}], "]"}]}], "]"}]}]}], ";", 

    RowBox[{

     RowBox[{"KS", "[", 

      RowBox[{"n_", ",", "\[Mu]st_"}], "]"}], ":=", 

     RowBox[{

      RowBox[{"CoefficientList", "[", 

       RowBox[{

        RowBox[{"Pol", "[", 

         RowBox[{

          RowBox[{"n", "-", "1"}], ",", "\[Mu]st", ",", "u"}], "]"}], ",", 

        "u"}], "]"}], "/", 

      RowBox[{"Sqrt", "[", 

       RowBox[{"2", " ", "Pi", " ", 

        RowBox[{"\[CapitalDelta]", "[", 

         RowBox[{

          RowBox[{"n", "-", "2"}], ",", "\[Mu]st"}], "]"}], " ", 

        RowBox[{"\[CapitalDelta]", "[", 

         RowBox[{

          RowBox[{"n", "-", "1"}], ",", "\[Mu]st"}], "]"}]}], "]"}]}]}], 

    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 

   RowBox[{

    RowBox[{

     RowBox[{"InvACmatrix", "[", "n_", "]"}], ":=", 

     RowBox[{"Table", "[", 

      RowBox[{

       RowBox[{"If", "[", 

        RowBox[{

         RowBox[{

          RowBox[{"nppp", ">", "npp"}], "\[Or]", 

          RowBox[{"OddQ", "[", 

           RowBox[{"npp", "+", "nppp"}], "]"}]}], ",", "0", ",", " ", 

         RowBox[{

          RowBox[{"If", "[", 

           RowBox[{

            RowBox[{"nppp", "\[Equal]", "0"}], ",", 

            RowBox[{"1", "/", 

             RowBox[{"Sqrt", "[", "2", "]"}]}], ",", "1"}], "]"}], " ", 

          RowBox[{

           RowBox[{"Binomial", "[", 

            RowBox[{"npp", ",", 

             RowBox[{

              RowBox[{"(", 

               RowBox[{"npp", "-", "nppp"}], ")"}], "/", "2"}]}], "]"}], "/", 

           

           RowBox[{"2", "^", 

            RowBox[{"(", 

             RowBox[{"npp", "-", "1"}], ")"}]}]}]}]}], "]"}], ",", 

       RowBox[{"{", 

        RowBox[{"npp", ",", "0", ",", "n"}], "}"}], ",", 

       RowBox[{"{", 

        RowBox[{"nppp", ",", "0", ",", "n"}], "}"}]}], "]"}]}], ";"}], "\n", 

   RowBox[{

    RowBox[{

     RowBox[{"InvASmatrix", "[", "n_", "]"}], ":=", 

     RowBox[{"Table", "[", 

      RowBox[{

       RowBox[{"If", "[", 

        RowBox[{

         RowBox[{"EvenQ", "[", 

          RowBox[{"npp", "+", "nppp"}], "]"}], ",", "0", ",", " ", 

         RowBox[{"2", "  ", 

          RowBox[{"nppp", "/", 

           RowBox[{"(", 

            RowBox[{"npp", "+", "nppp", "+", "1"}], ")"}]}], 

          RowBox[{

           RowBox[{"Binomial", "[", 

            RowBox[{"npp", ",", 

             RowBox[{

              RowBox[{"(", 

               RowBox[{"npp", "-", "nppp", "+", "1"}], ")"}], "/", "2"}]}], 

            "]"}], "/", 

           RowBox[{"2", "^", "npp"}]}]}]}], "]"}], ",", 

       RowBox[{"{", 

        RowBox[{"npp", ",", "0", ",", 

         RowBox[{"n", "-", "1"}]}], "}"}], ",", 

       RowBox[{"{", 

        RowBox[{"nppp", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";"}], 

   "\[IndentingNewLine]", "\[IndentingNewLine]", 

   RowBox[{

    RowBox[{

     RowBox[{"gammaC", "[", 

      RowBox[{"n_", ",", "\[Mu]ct_"}], "]"}], ":=", 

     RowBox[{

      RowBox[{"KC", "[", 

       RowBox[{"n", ",", "\[Mu]ct"}], "]"}], ".", 

      RowBox[{"InvACmatrix", "[", "n", "]"}]}]}], ";"}], 

   "\[IndentingNewLine]", 

   RowBox[{

    RowBox[{

     RowBox[{"gammaS", "[", 

      RowBox[{"n_", ",", "\[Mu]st_"}], "]"}], ":=", 

     RowBox[{

      RowBox[{"KS", "[", 

       RowBox[{"n", ",", "\[Mu]st"}], "]"}], ".", 

      RowBox[{"InvASmatrix", "[", "n", "]"}]}]}], ";"}], "\n", 

   RowBox[{

    RowBox[{

     RowBox[{"r", "[", 

      RowBox[{"x_", ",", "y_"}], "]"}], "=", 

     RowBox[{"Sqrt", "[", 

      RowBox[{

       RowBox[{"x", "^", "2"}], "+", 

       RowBox[{"y", "^", "2"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 

   RowBox[{

    RowBox[{

     RowBox[{"Phi", "[", 

      RowBox[{"x_", ",", "y_"}], "]"}], "=", 

     RowBox[{"ArcTan", "[", 

      RowBox[{"x", ",", "y"}], "]"}]}], ";"}], "\[IndentingNewLine]", "\n", 

   RowBox[{

    RowBox[{"BesselLt", "[", 

     RowBox[{"r_", ",", "nmax_"}], "]"}], ":=", 

    RowBox[{"If", "[", 

     RowBox[{

      RowBox[{"nmax", "\[Equal]", "0"}], ",", 

      RowBox[{"{", 

       RowBox[{"BesselJ", "[", 

        RowBox[{"0", ",", "r"}], "]"}], "}"}], ",", " ", 

      RowBox[{"Module", "[", 

       RowBox[{

        RowBox[{"{", "Blt", "}"}], ",", 

        RowBox[{

         RowBox[{"Blt", "=", 

          RowBox[{"{", 

           RowBox[{

            RowBox[{"BesselJ", "[", 

             RowBox[{"0", ",", "r"}], "]"}], ",", 

            RowBox[{"BesselJ", "[", 

             RowBox[{"1", ",", "r"}], "]"}]}], "}"}]}], ";", 

         RowBox[{"Do", "[", 

          RowBox[{

           RowBox[{"Blt", "=", 

            RowBox[{"Append", "[", 

             RowBox[{"Blt", ",", 

              RowBox[{

               RowBox[{

                RowBox[{"Blt", "[", 

                 RowBox[{"[", 

                  RowBox[{"n", "+", "1", "-", "1"}], "]"}], "]"}], " ", "2", 

                " ", 

                RowBox[{

                 RowBox[{"(", 

                  RowBox[{"n", "-", "1"}], ")"}], "/", "r"}]}], " ", "-", 

               RowBox[{"Blt", "[", 

                RowBox[{"[", 

                 RowBox[{"n", "+", "1", "-", "2"}], "]"}], "]"}]}]}], "]"}]}],

            ",", 

           RowBox[{"{", 

            RowBox[{"n", ",", "2", ",", "nmax"}], "}"}]}], "]"}], ";", 

         "Blt"}]}], "]"}]}], "]"}]}], "\n", "\[IndentingNewLine]", 

   RowBox[{

    RowBox[{"coC", "[", 

     RowBox[{"kq_", ",", "n_", ",", "nmax_"}], "]"}], ":=", 

    RowBox[{"Module", "[", 

     RowBox[{

      RowBox[{"{", 

       RowBox[{"kq0", ",", "It", ",", "\[Mu]ct", ",", "\[Mu]st", ",", "gac"}],

        "}"}], ",", 

      RowBox[{

       RowBox[{"kq0", "=", 

        RowBox[{"N", "[", 

         RowBox[{"kq", ",", "numaccuracy"}], "]"}]}], ";", 

       RowBox[{"It", "=", 

        RowBox[{"BesselItab", "[", 

         RowBox[{"nmax", ",", 

          RowBox[{"2", " ", "kq0"}]}], "]"}]}], ";", "\[IndentingNewLine]", 

       RowBox[{"\[Mu]ct", "=", 

        RowBox[{"Table", "[", 

         RowBox[{

          RowBox[{"\[Mu]c", "[", 

           RowBox[{"nc", ",", "It"}], "]"}], ",", 

          RowBox[{"{", 

           RowBox[{"nc", ",", "0", ",", 

            RowBox[{

             RowBox[{"2", " ", "nmax"}], "+", "2"}]}], "}"}]}], "]"}]}], ";", 

       "\[IndentingNewLine]", 

       RowBox[{"\[Mu]st", "=", 

        RowBox[{"Table", "[", 

         RowBox[{

          RowBox[{"\[Mu]s", "[", 

           RowBox[{"nc", ",", "\[Mu]ct"}], "]"}], ",", 

          RowBox[{"{", 

           RowBox[{"nc", ",", "0", ",", 

            RowBox[{"2", " ", "nmax"}]}], "}"}]}], "]"}]}], ";", 

       RowBox[{"gac", "=", 

        RowBox[{"gammaC", "[", 

         RowBox[{"n", ",", "\[Mu]ct"}], "]"}]}], ";", 

       RowBox[{"Table", "[", 

        RowBox[{

         RowBox[{

          RowBox[{"gac", "[", 

           RowBox[{"[", 

            RowBox[{"np", "+", "1"}], "]"}], "]"}], " ", "2", " ", 

          RowBox[{"I", "^", "np"}], " ", 

          RowBox[{"Sqrt", "[", 

           RowBox[{"Pi", "/", 

            RowBox[{"(", 

             RowBox[{"1", "+", 

              RowBox[{"KroneckerDelta", "[", 

               RowBox[{"np", ",", "0"}], "]"}]}], ")"}]}], "]"}]}], ",", 

         RowBox[{"{", 

          RowBox[{"np", ",", "0", ",", "n"}], "}"}]}], "]"}]}]}], "]"}]}], 

   "\[IndentingNewLine]", "\n", 

   RowBox[{

    RowBox[{"coS", "[", 

     RowBox[{"kq_", ",", "n_", ",", "nmax_"}], "]"}], ":=", 

    RowBox[{"Module", "[", 

     RowBox[{

      RowBox[{"{", 

       RowBox[{"kq0", ",", "It", ",", "\[Mu]ct", ",", "\[Mu]st", ",", "gas"}],

        "}"}], ",", 

      RowBox[{

       RowBox[{"kq0", "=", 

        RowBox[{"N", "[", 

         RowBox[{"kq", ",", "numaccuracy"}], "]"}]}], ";", 

       RowBox[{"It", "=", 

        RowBox[{"BesselItab", "[", 

         RowBox[{"nmax", ",", 

          RowBox[{"2", " ", "kq0"}]}], "]"}]}], ";", "\[IndentingNewLine]", 

       RowBox[{"\[Mu]ct", "=", 

        RowBox[{"Table", "[", 

         RowBox[{

          RowBox[{"\[Mu]c", "[", 

           RowBox[{"nc", ",", "It"}], "]"}], ",", 

          RowBox[{"{", 

           RowBox[{"nc", ",", "0", ",", 

            RowBox[{

             RowBox[{"2", " ", "nmax"}], "+", "2"}]}], "}"}]}], "]"}]}], ";", 

       "\[IndentingNewLine]", 

       RowBox[{"\[Mu]st", "=", 

        RowBox[{"Table", "[", 

         RowBox[{

          RowBox[{"\[Mu]s", "[", 

           RowBox[{"nc", ",", "\[Mu]ct"}], "]"}], ",", 

          RowBox[{"{", 

           RowBox[{"nc", ",", "0", ",", 

            RowBox[{"2", " ", "nmax"}]}], "}"}]}], "]"}]}], ";", 

       RowBox[{"gas", "=", 

        RowBox[{"gammaS", "[", 

         RowBox[{"n", ",", "\[Mu]st"}], "]"}]}], ";", 

       RowBox[{"Table", "[", 

        RowBox[{

         RowBox[{"If", "[", 

          RowBox[{

           RowBox[{"np", "\[Equal]", "0"}], ",", "0", ",", 

           RowBox[{

            RowBox[{"gas", "[", 

             RowBox[{"[", "np", "]"}], "]"}], " ", "2", " ", 

            RowBox[{"I", "^", "np"}], " ", 

            RowBox[{"Sqrt", "[", "Pi", "]"}]}]}], "]"}], ",", 

         RowBox[{"{", 

          RowBox[{"np", ",", "0", ",", "n"}], "}"}]}], "]"}]}]}], "]"}]}], 

   "\[IndentingNewLine]", "\[IndentingNewLine]", 

   RowBox[{

    RowBox[{

     RowBox[{"UbarC", "[", 

      RowBox[{"x_", ",", "y_", ",", "coc_", ",", "kq_", ",", "n_"}], "]"}], ":=", 

     RowBox[{"Module", "[", 

      RowBox[{

       RowBox[{"{", 

        RowBox[{"kq0", ",", "phiq", ",", "rq", ",", "bess"}], "}"}], ",", 

       RowBox[{

        RowBox[{"kq0", "=", 

         RowBox[{"N", "[", 

          RowBox[{"kq", ",", "numaccuracy"}], "]"}]}], ";", 

        RowBox[{"phiq", "=", 

         RowBox[{"Phi", "[", 

          RowBox[{

           RowBox[{"x", "-", 

            RowBox[{"I", " ", "kq0"}]}], ",", "y"}], "]"}]}], ";", 

        RowBox[{"rq", "=", 

         RowBox[{"r", "[", 

          RowBox[{

           RowBox[{"x", "-", 

            RowBox[{"I", " ", "kq0"}]}], ",", "y"}], "]"}]}], ";", 

        RowBox[{"bess", "=", 

         RowBox[{"BesselLt", "[", 

          RowBox[{"rq", ",", "n"}], "]"}]}], ";", 

        RowBox[{

         RowBox[{"Table", "[", 

          RowBox[{

           RowBox[{

            RowBox[{"coc", "[", 

             RowBox[{"[", 

              RowBox[{"np", "+", "1"}], "]"}], "]"}], " ", 

            RowBox[{"Cos", "[", 

             RowBox[{"np", " ", "phiq"}], "]"}]}], " ", ",", 

           RowBox[{"{", 

            RowBox[{"np", ",", "0", ",", "n"}], "}"}]}], "]"}], ".", 

         "bess"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 

   "\[IndentingNewLine]", 

   RowBox[{

    RowBox[{

     RowBox[{"UbarS", "[", 

      RowBox[{"x_", ",", "y_", ",", "cos_", ",", "kq_", ",", "n_"}], "]"}], ":=", 

     RowBox[{"Module", "[", 

      RowBox[{

       RowBox[{"{", 

        RowBox[{"kq0", ",", "phiq", ",", "rq", ",", "bess"}], "}"}], ",", 

       RowBox[{

        RowBox[{"kq0", "=", 

         RowBox[{"N", "[", 

          RowBox[{"kq", ",", "numaccuracy"}], "]"}]}], ";", 

        RowBox[{"phiq", "=", 

         RowBox[{"Phi", "[", 

          RowBox[{

           RowBox[{"x", "-", 

            RowBox[{"I", " ", "kq0"}]}], ",", "y"}], "]"}]}], ";", 

        RowBox[{"rq", "=", 

         RowBox[{"r", "[", 

          RowBox[{

           RowBox[{"x", "-", 

            RowBox[{"I", " ", "kq0"}]}], ",", "y"}], "]"}]}], ";", 

        RowBox[{"bess", "=", 

         RowBox[{"BesselLt", "[", 

          RowBox[{"rq", ",", "n"}], "]"}]}], ";", 

        RowBox[{

         RowBox[{"Table", "[", 

          RowBox[{

           RowBox[{

            RowBox[{"cos", "[", 

             RowBox[{"[", 

              RowBox[{"np", "+", "1"}], "]"}], "]"}], " ", 

            RowBox[{"Sin", "[", 

             RowBox[{"np", " ", "phiq"}], "]"}]}], " ", ",", 

           RowBox[{"{", 

            RowBox[{"np", ",", "0", ",", "n"}], "}"}]}], "]"}], ".", 

         "bess"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 

   "\[IndentingNewLine]", 

   RowBox[{

    RowBox[{

     RowBox[{"ccs", "[", 

      RowBox[{"kq_", ",", "A_", ",", "nmax_"}], "]"}], ":=", 

     RowBox[{"NIntegrate", "[", 

      RowBox[{

       RowBox[{

        RowBox[{"ACStab", "[", 

         RowBox[{"t", ",", "kq", ",", "nmax"}], "]"}], " ", "A"}], ",", 

       RowBox[{"{", 

        RowBox[{"t", ",", 

         RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}]}], "]"}]}], ";"}], 

   "\[IndentingNewLine]", 

   RowBox[{

    RowBox[{

     RowBox[{"norm", "[", "A_", "]"}], ":=", 

     RowBox[{"Re", "[", 

      RowBox[{"NIntegrate", "[", 

       RowBox[{

        RowBox[{

         RowBox[{"Abs", "[", "A", "]"}], "^", "2"}], ",", 

        RowBox[{"{", 

         RowBox[{"t", ",", 

          RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}]}], "]"}], "]"}]}], ";"}], 

   "\[IndentingNewLine]", 

   RowBox[{

    RowBox[{

     RowBox[{"eps", "[", 

      RowBox[{"cc_", ",", "nor_"}], "]"}], ":=", 

     RowBox[{"Table", "[", 

      RowBox[{

       RowBox[{"Sqrt", "[", 

        RowBox[{"1", "-", 

         RowBox[{

          RowBox[{"(", 

           RowBox[{

            RowBox[{"Sum", "[", 

             RowBox[{

              RowBox[{

               RowBox[{"Abs", "[", 

                RowBox[{"cc", "[", 

                 RowBox[{"[", 

                  RowBox[{"1", ",", "ncc"}], "]"}], "]"}], "]"}], "^", "2"}], 

              ",", 

              RowBox[{"{", 

               RowBox[{"ncc", ",", "1", ",", "nc"}], "}"}]}], "]"}], "+", 

            RowBox[{"Sum", "[", 

             RowBox[{

              RowBox[{

               RowBox[{"Abs", "[", 

                RowBox[{"cc", "[", 

                 RowBox[{"[", 

                  RowBox[{"2", ",", "ncc"}], "]"}], "]"}], "]"}], "^", "2"}], 

              ",", 

              RowBox[{"{", 

               RowBox[{"ncc", ",", "1", ",", 

                RowBox[{"nc", "-", "1"}]}], "}"}]}], "]"}]}], ")"}], "/", 

          "nor"}]}], "]"}], ",", 

       RowBox[{"{", 

        RowBox[{"nc", ",", "1", ",", 

         RowBox[{"Length", "[", 

          RowBox[{"cc", "[", 

           RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}], 

   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 

   RowBox[{

    RowBox[{"coex", "[", 

     RowBox[{"kq_", ",", "nmax_", ",", "cs_"}], "]"}], ":=", 

    RowBox[{"Module", "[", 

     RowBox[{

      RowBox[{"{", 

       RowBox[{

       "kq0", ",", "It", ",", "\[Mu]ct", ",", "\[Mu]st", ",", "gac", ",", 

        "gas"}], "}"}], ",", 

      RowBox[{

       RowBox[{"kq0", "=", 

        RowBox[{"N", "[", 

         RowBox[{"kq", ",", "numaccuracy"}], "]"}]}], ";", 

       RowBox[{"It", "=", 

        RowBox[{"BesselItab", "[", 

         RowBox[{"nmax", ",", 

          RowBox[{"2", " ", "kq0"}]}], "]"}]}], ";", "\[IndentingNewLine]", 

       RowBox[{"\[Mu]ct", "=", 

        RowBox[{"Table", "[", 

         RowBox[{

          RowBox[{"\[Mu]c", "[", 

           RowBox[{"nc", ",", "It"}], "]"}], ",", 

          RowBox[{"{", 

           RowBox[{"nc", ",", "0", ",", 

            RowBox[{

             RowBox[{"2", " ", "nmax"}], "+", "2"}]}], "}"}]}], "]"}]}], ";", 

       "\[IndentingNewLine]", 

       RowBox[{"\[Mu]st", "=", 

        RowBox[{"Table", "[", 

         RowBox[{

          RowBox[{"\[Mu]s", "[", 

           RowBox[{"nc", ",", "\[Mu]ct"}], "]"}], ",", 

          RowBox[{"{", 

           RowBox[{"nc", ",", "0", ",", 

            RowBox[{"2", " ", "nmax"}]}], "}"}]}], "]"}]}], ";", 

       RowBox[{"gac", "=", 

        RowBox[{"Table", "[", 

         RowBox[{

          RowBox[{"gammaC", "[", 

           RowBox[{"nt", ",", "\[Mu]ct"}], "]"}], ",", 

          RowBox[{"{", 

           RowBox[{"nt", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], ";", 

       RowBox[{"gas", "=", 

        RowBox[{"Table", "[", 

         RowBox[{

          RowBox[{"gammaS", "[", 

           RowBox[{"nt", ",", "\[Mu]st"}], "]"}], ",", 

          RowBox[{"{", 

           RowBox[{"nt", ",", "1", ",", "nmax"}], "}"}]}], "]"}]}], ";", 

       RowBox[{"{", 

        RowBox[{

         RowBox[{"Table", "[", 

          RowBox[{

           RowBox[{

            RowBox[{"Sum", "[", 

             RowBox[{

              RowBox[{

               RowBox[{"cs", "[", 

                RowBox[{"[", 

                 RowBox[{"1", ",", 

                  RowBox[{"nt", "+", "1"}]}], "]"}], "]"}], " ", 

               RowBox[{"gac", "[", 

                RowBox[{"[", 

                 RowBox[{

                  RowBox[{"nt", "+", "1"}], ",", 

                  RowBox[{"np", "+", "1"}]}], "]"}], "]"}]}], ",", 

              RowBox[{"{", 

               RowBox[{"nt", ",", "np", ",", "nmax"}], "}"}]}], "]"}], " ", 

            "2", " ", 

            RowBox[{"I", "^", "np"}], " ", 

            RowBox[{"Sqrt", "[", 

             RowBox[{"Pi", "/", 

              RowBox[{"(", 

               RowBox[{"1", "+", 

                RowBox[{"KroneckerDelta", "[", 

                 RowBox[{"np", ",", "0"}], "]"}]}], ")"}]}], "]"}]}], ",", 

           RowBox[{"{", 

            RowBox[{"np", ",", "0", ",", "nmax"}], "}"}]}], "]"}], ",", 

         RowBox[{"Table", "[", 

          RowBox[{

           RowBox[{"If", "[", 

            RowBox[{

             RowBox[{"np", "\[Equal]", "0"}], ",", "0", ",", 

             RowBox[{

              RowBox[{"Sum", "[", 

               RowBox[{

                RowBox[{

                 RowBox[{"cs", "[", 

                  RowBox[{"[", 

                   RowBox[{"2", ",", "nt"}], "]"}], "]"}], " ", 

                 RowBox[{"gas", "[", 

                  RowBox[{"[", 

                   RowBox[{"nt", ",", "np"}], "]"}], "]"}]}], ",", 

                RowBox[{"{", 

                 RowBox[{"nt", ",", "np", ",", "nmax"}], "}"}]}], "]"}], " ", 

              "2", " ", 

              RowBox[{"I", "^", "np"}], " ", 

              RowBox[{"Sqrt", "[", "Pi", "]"}]}]}], "]"}], ",", 

           RowBox[{"{", 

            RowBox[{"np", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 

        "}"}]}]}], "]"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 

   RowBox[{

    RowBox[{

     RowBox[{"Ufield", "[", 

      RowBox[{"x_", ",", "y_", ",", "cocs_", ",", "kq_", ",", "nmax_"}], 

      "]"}], ":=", 

     RowBox[{"Module", "[", 

      RowBox[{

       RowBox[{"{", 

        RowBox[{"kq0", ",", "phiq", ",", "rq", ",", "bess"}], "}"}], ",", 

       RowBox[{

        RowBox[{"kq0", "=", 

         RowBox[{"N", "[", 

          RowBox[{"kq", ",", "numaccuracy"}], "]"}]}], ";", 

        RowBox[{"phiq", "=", 

         RowBox[{"Phi", "[", 

          RowBox[{

           RowBox[{"x", "-", 

            RowBox[{"I", " ", "kq0"}]}], ",", "y"}], "]"}]}], ";", 

        RowBox[{"rq", "=", 

         RowBox[{"r", "[", 

          RowBox[{

           RowBox[{"x", "-", 

            RowBox[{"I", " ", "kq0"}]}], ",", "y"}], "]"}]}], ";", 

        RowBox[{"bess", "=", 

         RowBox[{"BesselLt", "[", 

          RowBox[{"rq", ",", "nmax"}], "]"}]}], ";", 

        RowBox[{

         RowBox[{"Table", "[", 

          RowBox[{

           RowBox[{"(", 

            RowBox[{

             RowBox[{

              RowBox[{"cocs", "[", 

               RowBox[{"[", 

                RowBox[{"1", ",", 

                 RowBox[{"np", "+", "1"}]}], "]"}], "]"}], " ", 

              RowBox[{"Cos", "[", 

               RowBox[{"np", " ", "phiq"}], "]"}]}], "+", 

             RowBox[{

              RowBox[{"cocs", "[", 

               RowBox[{"[", 

                RowBox[{"2", ",", 

                 RowBox[{"np", "+", "1"}]}], "]"}], "]"}], " ", 

              RowBox[{"Sin", "[", 

               RowBox[{"np", " ", "phiq"}], "]"}]}]}], ")"}], ",", 

           RowBox[{"{", 

            RowBox[{"np", ",", "0", ",", "nmax"}], "}"}]}], "]"}], ".", 

         "bess"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", "\n", 

   RowBox[{

    RowBox[{

     RowBox[{"bsc", "[", 

      RowBox[{"n_", ",", "R_", ",", "\[Nu]_"}], "]"}], "=", 

     RowBox[{

      RowBox[{"(", 

       RowBox[{

        RowBox[{

         RowBox[{"BesselJ", "[", 

          RowBox[{"n", ",", 

           RowBox[{"\[Nu]", " ", "R"}]}], "]"}], " ", 

         RowBox[{"(", 

          RowBox[{

           RowBox[{"BesselJ", "[", 

            RowBox[{

             RowBox[{"n", "+", "1"}], ",", "R"}], "]"}], "-", 

           RowBox[{"BesselJ", "[", 

            RowBox[{

             RowBox[{"n", "-", "1"}], ",", "R"}], "]"}]}], ")"}]}], " ", "-", 

        

        RowBox[{"\[Nu]", " ", 

         RowBox[{"BesselJ", "[", 

          RowBox[{"n", ",", "R"}], "]"}], " ", 

         RowBox[{"(", 

          RowBox[{

           RowBox[{"BesselJ", "[", 

            RowBox[{

             RowBox[{"n", "+", "1"}], ",", 

             RowBox[{"\[Nu]", " ", "R"}]}], "]"}], "-", 

           RowBox[{"BesselJ", "[", 

            RowBox[{

             RowBox[{"n", "-", "1"}], ",", 

             RowBox[{"\[Nu]", " ", "R"}]}], "]"}]}], ")"}]}]}], ")"}], "/", 

      RowBox[{"(", 

       RowBox[{

        RowBox[{"\[Nu]", " ", 

         RowBox[{"HankelH1", "[", 

          RowBox[{"n", ",", "R"}], "]"}], " ", 

         RowBox[{"(", 

          RowBox[{

           RowBox[{"BesselJ", "[", 

            RowBox[{

             RowBox[{"n", "+", "1"}], ",", 

             RowBox[{"\[Nu]", " ", "R"}]}], "]"}], "-", 

           RowBox[{"BesselJ", "[", 

            RowBox[{

             RowBox[{"n", "-", "1"}], ",", 

             RowBox[{"\[Nu]", " ", "R"}]}], "]"}]}], ")"}]}], "-", 

        RowBox[{

         RowBox[{"BesselJ", "[", 

          RowBox[{"n", ",", 

           RowBox[{"\[Nu]", " ", "R"}]}], "]"}], " ", 

         RowBox[{"(", 

          RowBox[{

           RowBox[{"HankelH1", "[", 

            RowBox[{

             RowBox[{"n", "+", "1"}], ",", "R"}], "]"}], "-", 

           RowBox[{"HankelH1", "[", 

            RowBox[{

             RowBox[{"n", "-", "1"}], ",", "R"}], "]"}]}], ")"}]}]}], 

       ")"}]}]}], ";", 

    RowBox[{

     RowBox[{"bin", "[", 

      RowBox[{"n_", ",", "R_", ",", "\[Nu]_"}], "]"}], "=", 

     RowBox[{

      RowBox[{"(", 

       RowBox[{

        RowBox[{

         RowBox[{"HankelH1", "[", 

          RowBox[{"n", ",", "R"}], "]"}], " ", 

         RowBox[{"(", 

          RowBox[{

           RowBox[{"BesselJ", "[", 

            RowBox[{

             RowBox[{"n", "+", "1"}], ",", "R"}], "]"}], "-", 

           RowBox[{"BesselJ", "[", 

            RowBox[{

             RowBox[{"n", "-", "1"}], ",", "R"}], "]"}]}], ")"}]}], " ", "-", 

        " ", 

        RowBox[{

         RowBox[{"BesselJ", "[", 

          RowBox[{"n", ",", "R"}], "]"}], " ", 

         RowBox[{"(", 

          RowBox[{

           RowBox[{"HankelH1", "[", 

            RowBox[{

             RowBox[{"n", "+", "1"}], ",", "R"}], "]"}], "-", 

           RowBox[{"HankelH1", "[", 

            RowBox[{

             RowBox[{"n", "-", "1"}], ",", "R"}], "]"}]}], ")"}]}]}], ")"}], 

      "/", 

      RowBox[{"(", 

       RowBox[{

        RowBox[{"\[Nu]", " ", 

         RowBox[{"HankelH1", "[", 

          RowBox[{"n", ",", "R"}], "]"}], " ", 

         RowBox[{"(", 

          RowBox[{

           RowBox[{"BesselJ", "[", 

            RowBox[{

             RowBox[{"n", "+", "1"}], ",", 

             RowBox[{"\[Nu]", " ", "R"}]}], "]"}], "-", 

           RowBox[{"BesselJ", "[", 

            RowBox[{

             RowBox[{"n", "-", "1"}], ",", 

             RowBox[{"\[Nu]", " ", "R"}]}], "]"}]}], ")"}]}], "-", 

        RowBox[{

         RowBox[{"BesselJ", "[", 

          RowBox[{"n", ",", 

           RowBox[{"\[Nu]", " ", "R"}]}], "]"}], " ", 

         RowBox[{"(", 

          RowBox[{

           RowBox[{"HankelH1", "[", 

            RowBox[{

             RowBox[{"n", "+", "1"}], ",", "R"}], "]"}], "-", 

           RowBox[{"HankelH1", "[", 

            RowBox[{

             RowBox[{"n", "-", "1"}], ",", "R"}], "]"}]}], ")"}]}]}], 

       ")"}]}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 

   RowBox[{

    RowBox[{"TCSlist", "[", 

     RowBox[{"n_", ",", "nmaxp_", ",", "r_", ",", "phi_"}], "]"}], ":=", 

    RowBox[{"Module", "[", 

     RowBox[{

      RowBox[{"{", 

       RowBox[{"Bess", ",", "Bess2"}], "}"}], ",", 

      RowBox[{

       RowBox[{"Bess", "=", 

        RowBox[{"BesselLt", "[", 

         RowBox[{"r", ",", 

          RowBox[{"n", "+", "nmaxp"}]}], "]"}]}], ";", 

       RowBox[{"Bess2", "=", 

        RowBox[{"Table", "[", 

         RowBox[{

          RowBox[{

           RowBox[{"I", "^", 

            RowBox[{"(", 

             RowBox[{"Abs", "[", "nc", "]"}], ")"}]}], " ", 

           RowBox[{"Bess", "[", 

            RowBox[{"[", 

             RowBox[{

              RowBox[{"Abs", "[", "nc", "]"}], "+", "1"}], "]"}], "]"}], " ", 

           

           RowBox[{"Exp", "[", 

            RowBox[{"I", " ", "nc", " ", "phi"}], "]"}]}], ",", 

          RowBox[{"{", 

           RowBox[{"nc", ",", 

            RowBox[{

             RowBox[{"-", "n"}], "-", "nmaxp"}], ",", 

            RowBox[{"n", "+", "nmaxp"}]}], "}"}]}], "]"}]}], ";", 

       RowBox[{"{", 

        RowBox[{

         RowBox[{"Table", "[", 

          RowBox[{

           RowBox[{

            RowBox[{"(", 

             RowBox[{

              RowBox[{"Bess2", "[", 

               RowBox[{"[", 

                RowBox[{"n", "+", "nmaxp", "+", "1", "+", "nnn", "-", "nn"}], 

                "]"}], "]"}], "+", 

              RowBox[{"Bess2", "[", 

               RowBox[{"[", 

                RowBox[{"n", "+", "nmaxp", "+", "1", "-", "nnn", "-", "nn"}], 

                "]"}], "]"}]}], ")"}], "/", 

            RowBox[{"Sqrt", "[", 

             RowBox[{"2", " ", 

              RowBox[{"(", 

               RowBox[{"1", "+", 

                RowBox[{"KroneckerDelta", "[", 

                 RowBox[{"nnn", ",", "0"}], "]"}]}], ")"}]}], "]"}]}], ",", 

           RowBox[{"{", 

            RowBox[{"nnn", ",", "0", ",", "n"}], "}"}], ",", 

           RowBox[{"{", 

            RowBox[{"nn", ",", 

             RowBox[{"-", "nmaxp"}], ",", "nmaxp"}], "}"}]}], "]"}], ",", 

         RowBox[{

          RowBox[{"-", "I"}], " ", 

          RowBox[{

           RowBox[{"Table", "[", 

            RowBox[{

             RowBox[{"(", 

              RowBox[{

               RowBox[{"Bess2", "[", 

                RowBox[{"[", 

                 RowBox[{"n", "+", "nmaxp", "+", "1", "+", "nnn", "-", "nn"}],

                  "]"}], "]"}], "-", 

               RowBox[{"Bess2", "[", 

                RowBox[{"[", 

                 RowBox[{"n", "+", "nmaxp", "+", "1", "-", "nnn", "-", "nn"}],

                  "]"}], "]"}]}], ")"}], ",", 

             RowBox[{"{", 

              RowBox[{"nnn", ",", "1", ",", "n"}], "}"}], ",", 

             RowBox[{"{", 

              RowBox[{"nn", ",", 

               RowBox[{"-", "nmaxp"}], ",", "nmaxp"}], "}"}]}], "]"}], "/", 

           RowBox[{"Sqrt", "[", "2", "]"}]}]}]}], "}"}]}]}], "]"}]}], "\n", 

   "\[IndentingNewLine]", 

   RowBox[{

    RowBox[{

     RowBox[{"nmaxpR", "[", "R_", "]"}], "=", 

     RowBox[{

      RowBox[{"Round", "[", "R", "]"}], "+", "8"}]}], ";", 

    RowBox[{

     RowBox[{"gammalistC", "[", 

      RowBox[{"kq_", ",", "n_"}], "]"}], ":=", 

     RowBox[{"Module", "[", 

      RowBox[{

       RowBox[{"{", 

        RowBox[{"kq0", ",", "It", ",", "\[Mu]ct", ",", "\[Mu]st"}], "}"}], 

       ",", 

       RowBox[{

        RowBox[{"kq0", "=", 

         RowBox[{"N", "[", 

          RowBox[{"kq", ",", "numaccuracy"}], "]"}]}], ";", 

        RowBox[{"It", "=", 

         RowBox[{"BesselItab", "[", 

          RowBox[{"nmax", ",", 

           RowBox[{"2", " ", "kq0"}]}], "]"}]}], ";", "\[IndentingNewLine]", 

        RowBox[{"\[Mu]ct", "=", 

         RowBox[{"Table", "[", 

          RowBox[{

           RowBox[{"\[Mu]c", "[", 

            RowBox[{"nc2", ",", "It"}], "]"}], ",", 

           RowBox[{"{", 

            RowBox[{"nc2", ",", "0", ",", 

             RowBox[{

              RowBox[{"2", " ", "nmax"}], "+", "2"}]}], "}"}]}], "]"}]}], ";",

         "\[IndentingNewLine]", 

        RowBox[{"\[Mu]st", "=", 

         RowBox[{"Table", "[", 

          RowBox[{

           RowBox[{"\[Mu]s", "[", 

            RowBox[{"nc2", ",", "\[Mu]ct"}], "]"}], ",", 

           RowBox[{"{", 

            RowBox[{"nc2", ",", "0", ",", 

             RowBox[{"2", " ", "nmax"}]}], "}"}]}], "]"}]}], ";", 

        RowBox[{"gammaC", "[", 

         RowBox[{"n", ",", "\[Mu]ct"}], "]"}]}]}], "]"}]}], ";"}], 

   "\[IndentingNewLine]", 

   RowBox[{

    RowBox[{

     RowBox[{"gammalistS", "[", 

      RowBox[{"kq_", ",", "n_"}], "]"}], ":=", 

     RowBox[{"Module", "[", 

      RowBox[{

       RowBox[{"{", 

        RowBox[{"kq0", ",", "It", ",", "\[Mu]ct", ",", "\[Mu]st"}], "}"}], 

       ",", 

       RowBox[{

        RowBox[{"kq0", "=", 

         RowBox[{"N", "[", 

          RowBox[{"kq", ",", "numaccuracy"}], "]"}]}], ";", 

        RowBox[{"It", "=", 

         RowBox[{"BesselItab", "[", 

          RowBox[{"nmax", ",", 

           RowBox[{"2", " ", "kq0"}]}], "]"}]}], ";", "\[IndentingNewLine]", 

        RowBox[{"\[Mu]ct", "=", 

         RowBox[{"Table", "[", 

          RowBox[{

           RowBox[{"\[Mu]c", "[", 

            RowBox[{"nc2", ",", "It"}], "]"}], ",", 

           RowBox[{"{", 

            RowBox[{"nc2", ",", "0", ",", 

             RowBox[{

              RowBox[{"2", " ", "nmax"}], "+", "2"}]}], "}"}]}], "]"}]}], ";",

         "\[IndentingNewLine]", 

        RowBox[{"\[Mu]st", "=", 

         RowBox[{"Table", "[", 

          RowBox[{

           RowBox[{"\[Mu]s", "[", 

            RowBox[{"nc2", ",", "\[Mu]ct"}], "]"}], ",", 

           RowBox[{"{", 

            RowBox[{"nc2", ",", "0", ",", 

             RowBox[{"2", " ", "nmax"}]}], "}"}]}], "]"}]}], ";", 

        RowBox[{"gammaS", "[", 

         RowBox[{"n", ",", "\[Mu]st"}], "]"}]}]}], "]"}]}], ";"}], 

   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 

   RowBox[{

    RowBox[{

     RowBox[{"alphaC", "[", 

      RowBox[{"x_", ",", "y_", ",", "kq_", ",", "R_", ",", "gamma_"}], "]"}], 

     ":=", 

     RowBox[{"Module", "[", 

      RowBox[{

       RowBox[{"{", 

        RowBox[{"kq0", ",", "r0", ",", "ph0", ",", "tt"}], "}"}], ",", 

       RowBox[{

        RowBox[{"kq0", "=", 

         RowBox[{"N", "[", 

          RowBox[{"kq", ",", "numaccuracy"}], "]"}]}], ";", 

        RowBox[{"r0", "=", 

         RowBox[{"r", "[", 

          RowBox[{

           RowBox[{"x", "-", 

            RowBox[{"I", " ", "kq0"}]}], ",", "y"}], "]"}]}], ";", 

        RowBox[{"ph0", "=", 

         RowBox[{"Phi", "[", 

          RowBox[{

           RowBox[{"x", "-", 

            RowBox[{"I", " ", "kq0"}]}], ",", "y"}], "]"}]}], ";", 

        RowBox[{"tt", "=", 

         RowBox[{

          RowBox[{"TCSlist", "[", 

           RowBox[{

            RowBox[{

             RowBox[{"Length", "[", "gamma", "]"}], "-", "1"}], ",", 

            RowBox[{"nmaxpR", "[", "R", "]"}], ",", "r0", ",", "ph0"}], "]"}],

           "[", 

          RowBox[{"[", "1", "]"}], "]"}]}], ";", 

        RowBox[{"gamma", ".", 

         RowBox[{"(", "tt", ")"}]}]}]}], "]"}]}], ";"}], 

   "\[IndentingNewLine]", 

   RowBox[{

    RowBox[{

     RowBox[{"alphaS", "[", 

      RowBox[{"x_", ",", "y_", ",", "kq_", ",", "R_", ",", "gamma_"}], "]"}], 

     ":=", 

     RowBox[{"Module", "[", 

      RowBox[{

       RowBox[{"{", 

        RowBox[{"kq0", ",", "r0", ",", "ph0", ",", "tt"}], "}"}], ",", 

       RowBox[{

        RowBox[{"kq0", "=", 

         RowBox[{"N", "[", 

          RowBox[{"kq", ",", "numaccuracy"}], "]"}]}], ";", 

        RowBox[{"r0", "=", 

         RowBox[{"r", "[", 

          RowBox[{

           RowBox[{"x", "-", 

            RowBox[{"I", " ", "kq0"}]}], ",", "y"}], "]"}]}], ";", 

        RowBox[{"ph0", "=", 

         RowBox[{"Phi", "[", 

          RowBox[{

           RowBox[{"x", "-", 

            RowBox[{"I", " ", "kq0"}]}], ",", "y"}], "]"}]}], ";", 

        RowBox[{"tt", "=", 

         RowBox[{

          RowBox[{"TCSlist", "[", 

           RowBox[{

            RowBox[{"Length", "[", "gamma", "]"}], ",", 

            RowBox[{"nmaxpR", "[", "R", "]"}], ",", "r0", ",", "ph0"}], "]"}],

           "[", 

          RowBox[{"[", "2", "]"}], "]"}]}], ";", 

        RowBox[{"gamma", ".", 

         RowBox[{"(", "tt", ")"}]}]}]}], "]"}]}], ";"}], "\n", 

   RowBox[{

    RowBox[{

     RowBox[{"alphaCS", "[", 

      RowBox[{

      "x_", ",", "y_", ",", "kq_", ",", "R_", ",", "cs_", ",", "nmax_"}], 

      "]"}], ":=", 

     RowBox[{"Module", "[", 

      RowBox[{

       RowBox[{"{", 

        RowBox[{

        "kq0", ",", "It", ",", "\[Mu]ct", ",", "\[Mu]st", ",", "gac", ",", 

         "gas", ",", "r0", ",", "ph0", ",", "tt"}], "}"}], ",", 

       RowBox[{

        RowBox[{"kq0", "=", 

         RowBox[{"N", "[", 

          RowBox[{"kq", ",", "numaccuracy"}], "]"}]}], ";", 

        RowBox[{"It", "=", 

         RowBox[{"BesselItab", "[", 

          RowBox[{"nmax", ",", 

           RowBox[{"2", " ", "kq0"}]}], "]"}]}], ";", "\[IndentingNewLine]", 

        RowBox[{"\[Mu]ct", "=", 

         RowBox[{"Table", "[", 

          RowBox[{

           RowBox[{"\[Mu]c", "[", 

            RowBox[{"nc", ",", "It"}], "]"}], ",", 

           RowBox[{"{", 

            RowBox[{"nc", ",", "0", ",", 

             RowBox[{

              RowBox[{"2", " ", "nmax"}], "+", "2"}]}], "}"}]}], "]"}]}], ";",

         "\[IndentingNewLine]", 

        RowBox[{"\[Mu]st", "=", 

         RowBox[{"Table", "[", 

          RowBox[{

           RowBox[{"\[Mu]s", "[", 

            RowBox[{"nc", ",", "\[Mu]ct"}], "]"}], ",", 

           RowBox[{"{", 

            RowBox[{"nc", ",", "0", ",", 

             RowBox[{"2", " ", "nmax"}]}], "}"}]}], "]"}]}], ";", 

        RowBox[{"gac", "=", 

         RowBox[{"Table", "[", 

          RowBox[{

           RowBox[{"gammaC", "[", 

            RowBox[{"nt", ",", "\[Mu]ct"}], "]"}], ",", 

           RowBox[{"{", 

            RowBox[{"nt", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], ";", 

        RowBox[{"gas", "=", 

         RowBox[{"Table", "[", 

          RowBox[{

           RowBox[{"gammaS", "[", 

            RowBox[{"nt", ",", "\[Mu]st"}], "]"}], ",", 

           RowBox[{"{", 

            RowBox[{"nt", ",", "1", ",", "nmax"}], "}"}]}], "]"}]}], ";", 

        RowBox[{"r0", "=", 

         RowBox[{"r", "[", 

          RowBox[{

           RowBox[{"x", "-", 

            RowBox[{"I", " ", "kq0"}]}], ",", "y"}], "]"}]}], ";", 

        RowBox[{"ph0", "=", 

         RowBox[{"Phi", "[", 

          RowBox[{

           RowBox[{"x", "-", 

            RowBox[{"I", " ", "kq0"}]}], ",", "y"}], "]"}]}], ";", 

        RowBox[{"tt", "=", 

         RowBox[{"TCSlist", "[", 

          RowBox[{"nmax", ",", 

           RowBox[{"nmaxpR", "[", "R", "]"}], ",", "r0", ",", "ph0"}], 

          "]"}]}], ";", 

        RowBox[{

         RowBox[{

          RowBox[{"Table", "[", 

           RowBox[{

            RowBox[{"Sum", "[", 

             RowBox[{

              RowBox[{

               RowBox[{"cs", "[", 

                RowBox[{"[", 

                 RowBox[{"1", ",", 

                  RowBox[{"nt", "+", "1"}]}], "]"}], "]"}], " ", 

               RowBox[{"gac", "[", 

                RowBox[{"[", 

                 RowBox[{

                  RowBox[{"nt", "+", "1"}], ",", 

                  RowBox[{"np", "+", "1"}]}], "]"}], "]"}]}], " ", ",", 

              RowBox[{"{", 

               RowBox[{"nt", ",", "np", ",", "nmax"}], "}"}]}], "]"}], ",", 

            RowBox[{"{", 

             RowBox[{"np", ",", "0", ",", "nmax"}], "}"}]}], "]"}], ".", 

          RowBox[{"(", 

           RowBox[{"tt", "[", 

            RowBox[{"[", "1", "]"}], "]"}], ")"}]}], "+", 

         RowBox[{

          RowBox[{"Table", "[", 

           RowBox[{

            RowBox[{"Sum", "[", 

             RowBox[{

              RowBox[{

               RowBox[{"cs", "[", 

                RowBox[{"[", 

                 RowBox[{"2", ",", "nt"}], "]"}], "]"}], " ", 

               RowBox[{"gas", "[", 

                RowBox[{"[", 

                 RowBox[{"nt", ",", "np"}], "]"}], "]"}]}], ",", 

              RowBox[{"{", 

               RowBox[{"nt", ",", "np", ",", "nmax"}], "}"}]}], "]"}], ",", 

            RowBox[{"{", 

             RowBox[{"np", ",", "1", ",", "nmax"}], "}"}]}], "]"}], ".", " ", 

          

          RowBox[{"(", 

           RowBox[{"tt", "[", 

            RowBox[{"[", "2", "]"}], "]"}], ")"}]}]}]}]}], "]"}]}], ";"}], 

   "\[IndentingNewLine]", "\[IndentingNewLine]", 

   RowBox[{

    RowBox[{

     RowBox[{"p", "[", 

      RowBox[{"nmaxR_", ",", "bscat_", ",", "alpha_"}], "]"}], ":=", 

     RowBox[{"Module", "[", 

      RowBox[{

       RowBox[{"{", "common", "}"}], ",", 

       RowBox[{

        RowBox[{"common", "=", 

         RowBox[{

          RowBox[{"-", "2"}], " ", 

          RowBox[{"Sum", "[", 

           RowBox[{

            RowBox[{

             RowBox[{"(", 

              RowBox[{

               RowBox[{"Conjugate", "[", 

                RowBox[{"bscat", "[", 

                 RowBox[{"[", 

                  RowBox[{"nc2", "+", "1"}], "]"}], "]"}], "]"}], "+", 

               RowBox[{"bscat", "[", 

                RowBox[{"[", "nc2", "]"}], "]"}], "+", 

               RowBox[{"2", " ", 

                RowBox[{"Conjugate", "[", 

                 RowBox[{"bscat", "[", 

                  RowBox[{"[", 

                   RowBox[{"nc2", "+", "1"}], "]"}], "]"}], "]"}], " ", 

                RowBox[{"bscat", "[", 

                 RowBox[{"[", "nc2", "]"}], "]"}]}]}], ")"}], 

             RowBox[{"Conjugate", "[", 

              RowBox[{"alpha", "[", 

               RowBox[{"[", 

                RowBox[{"nc2", "+", "1"}], "]"}], "]"}], "]"}], " ", 

             RowBox[{"alpha", "[", 

              RowBox[{"[", "nc2", "]"}], "]"}]}], ",", 

            RowBox[{"{", 

             RowBox[{"nc2", ",", "1", ",", " ", 

              RowBox[{"2", " ", "nmaxR"}]}], "}"}]}], "]"}]}]}], ";", 

        RowBox[{"{", 

         RowBox[{

          RowBox[{"Re", "[", "common", "]"}], ",", 

          RowBox[{"Im", "[", "common", "]"}]}], "}"}]}]}], "]"}]}], ";"}], 

   "\n", 

   RowBox[{

    RowBox[{

     RowBox[{"\[Tau]", "[", 

      RowBox[{"nmaxR_", ",", "bscat_", ",", "alpha_"}], "]"}], ":=", 

     RowBox[{

      RowBox[{"-", "4"}], " ", 

      RowBox[{"Sum", "[", 

       RowBox[{

        RowBox[{

         RowBox[{"(", 

          RowBox[{"nc2", "-", "nmaxR", "-", "1"}], ")"}], " ", 

         RowBox[{"(", 

          RowBox[{

           RowBox[{"Re", "[", 

            RowBox[{"bscat", "[", 

             RowBox[{"[", "nc2", "]"}], "]"}], "]"}], "+", 

           RowBox[{

            RowBox[{"Abs", "[", 

             RowBox[{"bscat", "[", 

              RowBox[{"[", "nc2", "]"}], "]"}], "]"}], "^", "2"}]}], ")"}], 

         RowBox[{

          RowBox[{"Abs", "[", 

           RowBox[{"alpha", "[", 

            RowBox[{"[", "nc2", "]"}], "]"}], "]"}], "^", "2"}]}], ",", 

        RowBox[{"{", 

         RowBox[{"nc2", ",", "1", ",", " ", 

          RowBox[{

           RowBox[{"2", " ", "nmaxR"}], "+", "1"}]}], "}"}]}], "]"}]}]}], 

    ";"}], "\[IndentingNewLine]", "\n", 

   RowBox[{

    RowBox[{"HankelLt", "[", 

     RowBox[{"r_", ",", "nmax_"}], "]"}], ":=", 

    RowBox[{"If", "[", 

     RowBox[{

      RowBox[{"nmax", "\[Equal]", "0"}], ",", 

      RowBox[{"{", 

       RowBox[{"HankelH1", "[", 

        RowBox[{"0", ",", "r"}], "]"}], "}"}], ",", " ", 

      RowBox[{"Module", "[", 

       RowBox[{

        RowBox[{"{", "Hlt", "}"}], ",", 

        RowBox[{

         RowBox[{"Hlt", "=", 

          RowBox[{"{", 

           RowBox[{

            RowBox[{"HankelH1", "[", 

             RowBox[{"0", ",", "r"}], "]"}], ",", 

            RowBox[{"HankelH1", "[", 

             RowBox[{"1", ",", "r"}], "]"}]}], "}"}]}], ";", 

         RowBox[{"Do", "[", 

          RowBox[{

           RowBox[{"Hlt", "=", 

            RowBox[{"Append", "[", 

             RowBox[{"Hlt", ",", 

              RowBox[{

               RowBox[{

                RowBox[{"Hlt", "[", 

                 RowBox[{"[", 

                  RowBox[{"n", "+", "1", "-", "1"}], "]"}], "]"}], " ", "2", 

                " ", 

                RowBox[{

                 RowBox[{"(", 

                  RowBox[{"n", "-", "1"}], ")"}], "/", "r"}]}], " ", "-", 

               RowBox[{"Hlt", "[", 

                RowBox[{"[", 

                 RowBox[{"n", "+", "1", "-", "2"}], "]"}], "]"}]}]}], "]"}]}],

            ",", 

           RowBox[{"{", 

            RowBox[{"n", ",", "2", ",", "nmax"}], "}"}]}], "]"}], ";", 

         "Hlt"}]}], "]"}]}], "]"}]}], "\[IndentingNewLine]", "\n", 

   RowBox[{

    RowBox[{

     RowBox[{"Uwhole", "[", 

      RowBox[{

      "R_", ",", "\[Nu]_", ",", "bscat_", ",", "bint_", ",", "alpha_", ",", 

       "x0_", ",", "y0_", ",", "x_", ",", "y_", ",", "Uinc_"}], "]"}], ":=", 

     RowBox[{"If", "[", 

      RowBox[{

       RowBox[{

        RowBox[{

         RowBox[{

          RowBox[{"(", 

           RowBox[{"x", "-", "x0"}], ")"}], "^", "2"}], "+", 

         RowBox[{

          RowBox[{"(", 

           RowBox[{"y", "-", "y0"}], ")"}], "^", "2"}]}], ">", 

        RowBox[{"R", "^", "2"}]}], ",", 

       RowBox[{"Uinc", "+", 

        RowBox[{"Module", "[", 

         RowBox[{

          RowBox[{"{", 

           RowBox[{"r0", ",", "ph0", ",", "Hank1"}], "}"}], ",", 

          RowBox[{

           RowBox[{"r0", "=", 

            RowBox[{"r", "[", 

             RowBox[{

              RowBox[{"x", "-", "x0"}], ",", 

              RowBox[{"y", "-", "y0"}]}], "]"}]}], ";", 

           RowBox[{"ph0", "=", 

            RowBox[{"Phi", "[", 

             RowBox[{

              RowBox[{"x", "-", "x0"}], ",", 

              RowBox[{"y", "-", "y0"}]}], "]"}]}], ";", 

           RowBox[{"Hank1", "=", 

            RowBox[{"HankelLt", "[", 

             RowBox[{"r0", ",", 

              RowBox[{"nmaxpR", "[", "R", "]"}]}], "]"}]}], ";", 

           RowBox[{"Sum", "[", 

            RowBox[{

             RowBox[{

              RowBox[{"I", "^", 

               RowBox[{"(", 

                RowBox[{"Abs", "[", "nc", "]"}], ")"}]}], 

              RowBox[{

               RowBox[{"(", 

                RowBox[{"alpha", " ", "bscat"}], ")"}], "[", 

               RowBox[{"[", 

                RowBox[{"nc", "+", 

                 RowBox[{"nmaxpR", "[", "R", "]"}], "+", "1"}], "]"}], "]"}], 

              " ", 

              RowBox[{"Hank1", "[", 

               RowBox[{"[", 

                RowBox[{

                 RowBox[{"Abs", "[", "nc", "]"}], "+", "1"}], "]"}], "]"}], 

              " ", 

              RowBox[{"Exp", "[", 

               RowBox[{"I", " ", "nc", " ", "ph0"}], "]"}]}], ",", 

             RowBox[{"{", 

              RowBox[{"nc", ",", 

               RowBox[{"-", 

                RowBox[{"nmaxpR", "[", "R", "]"}]}], ",", 

               RowBox[{"nmaxpR", "[", "R", "]"}]}], "}"}]}], "]"}]}]}], 

         "]"}]}], ",", 

       RowBox[{"Module", "[", 

        RowBox[{

         RowBox[{"{", 

          RowBox[{"r0", ",", "ph0", ",", "Bess1"}], "}"}], ",", 

         RowBox[{

          RowBox[{"r0", "=", 

           RowBox[{"\[Nu]", " ", 

            RowBox[{"r", "[", 

             RowBox[{

              RowBox[{"x", "-", "x0"}], ",", 

              RowBox[{"y", "-", "y0"}]}], "]"}]}]}], ";", 

          RowBox[{"ph0", "=", 

           RowBox[{"Phi", "[", 

            RowBox[{

             RowBox[{"x", "-", "x0"}], ",", 

             RowBox[{"y", "-", "y0"}]}], "]"}]}], ";", 

          RowBox[{"Bess1", "=", 

           RowBox[{"If", "[", 

            RowBox[{

             RowBox[{

              RowBox[{"Abs", "[", "r0", "]"}], "<", ".80"}], ",", 

             RowBox[{"Table", "[", 

              RowBox[{

               RowBox[{"BesselJ", "[", 

                RowBox[{"nt", ",", "r0"}], "]"}], ",", 

               RowBox[{"{", 

                RowBox[{"nt", ",", "0", ",", 

                 RowBox[{"nmaxpR", "[", "R", "]"}]}], "}"}]}], "]"}], ",", 

             RowBox[{"BesselLt", "[", 

              RowBox[{"r0", ",", 

               RowBox[{"nmaxpR", "[", "R", "]"}]}], "]"}]}], "]"}]}], ";", 

          RowBox[{"Sum", "[", 

           RowBox[{

            RowBox[{

             RowBox[{"I", "^", 

              RowBox[{"(", 

               RowBox[{"Abs", "[", "nc", "]"}], ")"}]}], 

             RowBox[{

              RowBox[{"(", 

               RowBox[{"alpha", " ", "bint"}], ")"}], "[", 

              RowBox[{"[", 

               RowBox[{"nc", "+", 

                RowBox[{"nmaxpR", "[", "R", "]"}], "+", "1"}], "]"}], "]"}], 

             " ", 

             RowBox[{"Bess1", "[", 

              RowBox[{"[", 

               RowBox[{

                RowBox[{"Abs", "[", "nc", "]"}], "+", "1"}], "]"}], "]"}], 

             " ", 

             RowBox[{"Exp", "[", 

              RowBox[{"I", " ", "nc", " ", "ph0"}], "]"}]}], ",", 

            RowBox[{"{", 

             RowBox[{"nc", ",", 

              RowBox[{"-", 

               RowBox[{"nmaxpR", "[", "R", "]"}]}], ",", 

              RowBox[{"nmaxpR", "[", "R", "]"}]}], "}"}]}], "]"}]}]}], 

        "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 

   RowBox[{"Needs", "[", "\"\<VectorFieldPlots`\>\"", "]"}], 

   "\[IndentingNewLine]", "\n", 

   RowBox[{

    RowBox[{"path", "[", 

     RowBox[{

     "x_", ",", "y_", ",", "steps_", ",", "time_", ",", "ascale1_", ",", 

      "ascale2_", ",", "dragl_", ",", "draga_"}], "]"}], ":=", 

    RowBox[{"If", "[", 

     RowBox[{

      RowBox[{

       RowBox[{"opt", "[", 

        RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "\"\<even\>\""}], ",", 

      RowBox[{"Module", "[", 

       RowBox[{

        RowBox[{"{", 

         RowBox[{"bs", ",", "gg", ",", "rtm", ",", "vtm"}], "}"}], ",", 

        RowBox[{

         RowBox[{"bs", "=", 

          RowBox[{"Table", "[", 

           RowBox[{

            RowBox[{"bsc", "[", 

             RowBox[{"nc", ",", "R0", ",", "n0"}], "]"}], ",", 

            RowBox[{"{", 

             RowBox[{"nc", ",", 

              RowBox[{"-", 

               RowBox[{"nmaxpR", "[", "R0", "]"}]}], ",", 

              RowBox[{"nmaxpR", "[", "R0", "]"}]}], "}"}]}], "]"}]}], ";", 

         RowBox[{"gg", "=", 

          RowBox[{"gammalistC", "[", 

           RowBox[{

            RowBox[{"opt", "[", 

             RowBox[{"[", "3", "]"}], "]"}], ",", 

            RowBox[{"opt", "[", 

             RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], ";", 

         RowBox[{"rtm", "=", 

          RowBox[{"{", 

           RowBox[{"x", ",", "y"}], "}"}]}], ";", 

         RowBox[{"vtm", "=", 

          RowBox[{"{", 

           RowBox[{"0", ",", "0"}], "}"}]}], ";", 

         RowBox[{"Table", "[", 

          RowBox[{

           RowBox[{"Module", "[", 

            RowBox[{

             RowBox[{"{", 

              RowBox[{"pp", ",", "tau"}], "}"}], ",", 

             RowBox[{

              RowBox[{"pp", "=", 

               RowBox[{"p", "[", 

                RowBox[{

                 RowBox[{"nmaxpR", "[", "R0", "]"}], ",", "bs", ",", 

                 RowBox[{"alphaC", "[", 

                  RowBox[{

                   RowBox[{"rtm", "[", 

                    RowBox[{"[", "1", "]"}], "]"}], ",", 

                   RowBox[{"rtm", "[", 

                    RowBox[{"[", "2", "]"}], "]"}], ",", 

                   RowBox[{"opt", "[", 

                    RowBox[{"[", "3", "]"}], "]"}], ",", "R0", ",", "gg"}], 

                  "]"}]}], "]"}]}], ";", 

              RowBox[{"tau", "=", 

               RowBox[{"\[Tau]", "[", 

                RowBox[{

                 RowBox[{"nmaxpR", "[", "R0", "]"}], ",", "bs", ",", 

                 RowBox[{"alphaC", "[", 

                  RowBox[{

                   RowBox[{"rtm", "[", 

                    RowBox[{"[", "1", "]"}], "]"}], ",", 

                   RowBox[{"rtm", "[", 

                    RowBox[{"[", "2", "]"}], "]"}], ",", 

                   RowBox[{"opt", "[", 

                    RowBox[{"[", "3", "]"}], "]"}], ",", "R0", ",", "gg"}], 

                  "]"}]}], "]"}]}], ";", 

              RowBox[{"vtm", "=", 

               RowBox[{"If", "[", 

                RowBox[{

                 RowBox[{"t", "\[Equal]", "0"}], ",", 

                 RowBox[{"{", 

                  RowBox[{"0", ",", "0"}], "}"}], ",", 

                 RowBox[{"vtm", "+", 

                  RowBox[{

                   RowBox[{"(", 

                    RowBox[{

                    RowBox[{"ascale1", " ", "pp"}], " ", "-", 

                    RowBox[{"dragl", " ", "R0", " ", "vtm"}]}], ")"}], " ", 

                   "time"}]}]}], "]"}]}], ";", 

              RowBox[{"angmom", "=", 

               RowBox[{"If", "[", 

                RowBox[{

                 RowBox[{"t", "\[Equal]", "0"}], ",", "0", ",", 

                 RowBox[{"angmom", "+", 

                  RowBox[{

                   RowBox[{"(", 

                    RowBox[{

                    RowBox[{"ascale2", " ", "tau"}], " ", "-", 

                    RowBox[{"draga", " ", "R0", " ", "angmom"}]}], ")"}], " ",

                    "time"}]}]}], "]"}]}], ";", 

              RowBox[{"ang", "=", 

               RowBox[{"If", "[", 

                RowBox[{

                 RowBox[{"t", "\[Equal]", "0"}], ",", "0", ",", 

                 RowBox[{"ang", "+", " ", 

                  RowBox[{"angmom", " ", "time"}]}]}], "]"}]}], ";", 

              RowBox[{"rtm", "=", 

               RowBox[{"If", "[", 

                RowBox[{

                 RowBox[{"t", "\[Equal]", "0"}], ",", 

                 RowBox[{"{", 

                  RowBox[{"x", ",", "y"}], "}"}], ",", 

                 RowBox[{"rtm", "+", 

                  RowBox[{"vtm", " ", "time"}]}]}], "]"}]}], ";", 

              RowBox[{"{", 

               RowBox[{"rtm", ",", "ang"}], "}"}]}]}], "]"}], ",", 

           RowBox[{"{", 

            RowBox[{"t", ",", "0", ",", "steps"}], "}"}]}], "]"}]}]}], "]"}], 

      ",", 

      RowBox[{"If", "[", 

       RowBox[{

        RowBox[{

         RowBox[{"opt", "[", 

          RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "\"\<odd\>\""}], ",", 

        RowBox[{"Module", "[", 

         RowBox[{

          RowBox[{"{", 

           RowBox[{"bs", ",", "gg", ",", "rtm", ",", "vtm"}], "}"}], ",", 

          RowBox[{

           RowBox[{"bs", "=", 

            RowBox[{"Table", "[", 

             RowBox[{

              RowBox[{"bsc", "[", 

               RowBox[{"nc", ",", "R0", ",", "n0"}], "]"}], ",", 

              RowBox[{"{", 

               RowBox[{"nc", ",", 

                RowBox[{"-", 

                 RowBox[{"nmaxpR", "[", "R0", "]"}]}], ",", 

                RowBox[{"nmaxpR", "[", "R0", "]"}]}], "}"}]}], "]"}]}], ";", 

           RowBox[{"gg", "=", 

            RowBox[{"gammalistS", "[", 

             RowBox[{

              RowBox[{"opt", "[", 

               RowBox[{"[", "3", "]"}], "]"}], ",", 

              RowBox[{"opt", "[", 

               RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], ";", 

           RowBox[{"rtm", "=", 

            RowBox[{"{", 

             RowBox[{"x", ",", "y"}], "}"}]}], ";", 

           RowBox[{"vtm", "=", 

            RowBox[{"{", 

             RowBox[{"0", ",", "0"}], "}"}]}], ";", 

           RowBox[{"Table", "[", 

            RowBox[{

             RowBox[{"Module", "[", 

              RowBox[{

               RowBox[{"{", 

                RowBox[{"pp", ",", "tau"}], "}"}], ",", 

               RowBox[{

                RowBox[{"pp", "=", 

                 RowBox[{"p", "[", 

                  RowBox[{

                   RowBox[{"nmaxpR", "[", "R0", "]"}], ",", "bs", ",", 

                   RowBox[{"alphaS", "[", 

                    RowBox[{

                    RowBox[{"rtm", "[", 

                    RowBox[{"[", "1", "]"}], "]"}], ",", 

                    RowBox[{"rtm", "[", 

                    RowBox[{"[", "2", "]"}], "]"}], ",", 

                    RowBox[{"opt", "[", 

                    RowBox[{"[", "3", "]"}], "]"}], ",", "R0", ",", "gg"}], 

                    "]"}]}], "]"}]}], ";", 

                RowBox[{"tau", "=", 

                 RowBox[{"\[Tau]", "[", 

                  RowBox[{

                   RowBox[{"nmaxpR", "[", "R0", "]"}], ",", "bs", ",", 

                   RowBox[{"alphaS", "[", 

                    RowBox[{

                    RowBox[{"rtm", "[", 

                    RowBox[{"[", "1", "]"}], "]"}], ",", 

                    RowBox[{"rtm", "[", 

                    RowBox[{"[", "2", "]"}], "]"}], ",", 

                    RowBox[{"opt", "[", 

                    RowBox[{"[", "3", "]"}], "]"}], ",", "R0", ",", "gg"}], 

                    "]"}]}], "]"}]}], ";", 

                RowBox[{"vtm", "=", 

                 RowBox[{"If", "[", 

                  RowBox[{

                   RowBox[{"t", "\[Equal]", "0"}], ",", 

                   RowBox[{"{", 

                    RowBox[{"0", ",", "0"}], "}"}], ",", 

                   RowBox[{"vtm", "+", 

                    RowBox[{

                    RowBox[{"(", 

                    RowBox[{

                    RowBox[{"ascale1", " ", "pp"}], " ", "-", 

                    RowBox[{"dragl", " ", "R0", " ", "vtm"}]}], ")"}], " ", 

                    "time"}]}]}], "]"}]}], ";", 

                RowBox[{"angmom", "=", 

                 RowBox[{"If", "[", 

                  RowBox[{

                   RowBox[{"t", "\[Equal]", "0"}], ",", "0", ",", 

                   RowBox[{"angmom", "+", 

                    RowBox[{

                    RowBox[{"(", 

                    RowBox[{

                    RowBox[{"ascale2", " ", "tau"}], " ", "-", 

                    RowBox[{"draga", " ", "R0", " ", "angmom"}]}], ")"}], " ",

                     "time"}]}]}], "]"}]}], ";", 

                RowBox[{"ang", "=", 

                 RowBox[{"If", "[", 

                  RowBox[{

                   RowBox[{"t", "\[Equal]", "0"}], ",", "0", ",", 

                   RowBox[{"ang", "+", " ", 

                    RowBox[{"angmom", " ", "time"}]}]}], "]"}]}], ";", 

                RowBox[{"rtm", "=", 

                 RowBox[{"If", "[", 

                  RowBox[{

                   RowBox[{"t", "\[Equal]", "0"}], ",", 

                   RowBox[{"{", 

                    RowBox[{"x", ",", "y"}], "}"}], ",", 

                   RowBox[{"rtm", "+", 

                    RowBox[{"vtm", " ", "time"}]}]}], "]"}]}], ";", 

                RowBox[{"{", 

                 RowBox[{"rtm", ",", "ang"}], "}"}]}]}], "]"}], ",", 

             RowBox[{"{", 

              RowBox[{"t", ",", "0", ",", "steps"}], "}"}]}], "]"}]}]}], 

         "]"}], ",", 

        RowBox[{"Module", "[", 

         RowBox[{

          RowBox[{"{", 

           RowBox[{"bs", ",", "rtm", ",", "vtm"}], "}"}], ",", 

          RowBox[{

           RowBox[{"bs", "=", 

            RowBox[{"Table", "[", 

             RowBox[{

              RowBox[{"bsc", "[", 

               RowBox[{"nc", ",", "R0", ",", "n0"}], "]"}], ",", 

              RowBox[{"{", 

               RowBox[{"nc", ",", 

                RowBox[{"-", 

                 RowBox[{"nmaxpR", "[", "R0", "]"}]}], ",", 

                RowBox[{"nmaxpR", "[", "R0", "]"}]}], "}"}]}], "]"}]}], ";", 

           RowBox[{"rtm", "=", 

            RowBox[{"{", 

             RowBox[{"x", ",", "y"}], "}"}]}], ";", 

           RowBox[{"vtm", "=", 

            RowBox[{"{", 

             RowBox[{"0", ",", "0"}], "}"}]}], ";", 

           RowBox[{"Table", "[", 

            RowBox[{

             RowBox[{"Module", "[", 

              RowBox[{

               RowBox[{"{", 

                RowBox[{"pp", ",", "tau"}], "}"}], ",", 

               RowBox[{

                RowBox[{"pp", "=", 

                 RowBox[{"p", "[", 

                  RowBox[{

                   RowBox[{"nmaxpR", "[", "R0", "]"}], ",", "bs", ",", 

                   RowBox[{"alphaCS", "[", 

                    RowBox[{

                    RowBox[{"rtm", "[", 

                    RowBox[{"[", "1", "]"}], "]"}], ",", 

                    RowBox[{"rtm", "[", 

                    RowBox[{"[", "2", "]"}], "]"}], ",", 

                    RowBox[{"opt", "[", 

                    RowBox[{"[", "3", "]"}], "]"}], ",", "R0", ",", "ccs0", 

                    ",", 

                    RowBox[{"opt", "[", 

                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], "]"}]}], ";", 

                RowBox[{"tau", "=", 

                 RowBox[{"\[Tau]", "[", 

                  RowBox[{

                   RowBox[{"nmaxpR", "[", "R0", "]"}], ",", "bs", ",", 

                   RowBox[{"alphaCS", "[", 

                    RowBox[{

                    RowBox[{"rtm", "[", 

                    RowBox[{"[", "1", "]"}], "]"}], ",", 

                    RowBox[{"rtm", "[", 

                    RowBox[{"[", "2", "]"}], "]"}], ",", 

                    RowBox[{"opt", "[", 

                    RowBox[{"[", "3", "]"}], "]"}], ",", "R0", ",", "ccs0", 

                    ",", 

                    RowBox[{"opt", "[", 

                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], "]"}]}], ";", 

                RowBox[{"vtm", "=", 

                 RowBox[{"If", "[", 

                  RowBox[{

                   RowBox[{"t", "\[Equal]", "0"}], ",", 

                   RowBox[{"{", 

                    RowBox[{"0", ",", "0"}], "}"}], ",", 

                   RowBox[{"vtm", "+", 

                    RowBox[{

                    RowBox[{"(", 

                    RowBox[{

                    RowBox[{"ascale1", " ", "pp"}], " ", "-", 

                    RowBox[{"dragl", " ", "R0", " ", "vtm"}]}], ")"}], " ", 

                    "time"}]}]}], "]"}]}], ";", 

                RowBox[{"angmom", "=", 

                 RowBox[{"If", "[", 

                  RowBox[{

                   RowBox[{"t", "\[Equal]", "0"}], ",", "0", ",", 

                   RowBox[{"angmom", "+", 

                    RowBox[{

                    RowBox[{"(", 

                    RowBox[{

                    RowBox[{"ascale2", " ", "tau"}], " ", "-", 

                    RowBox[{"draga", " ", "R0", " ", "angmom"}]}], ")"}], " ",

                     "time"}]}]}], "]"}]}], ";", 

                RowBox[{"ang", "=", 

                 RowBox[{"If", "[", 

                  RowBox[{

                   RowBox[{"t", "\[Equal]", "0"}], ",", "0", ",", 

                   RowBox[{"ang", "+", " ", 

                    RowBox[{"angmom", " ", "time"}]}]}], "]"}]}], ";", 

                RowBox[{"rtm", "=", 

                 RowBox[{"If", "[", 

                  RowBox[{

                   RowBox[{"t", "\[Equal]", "0"}], ",", 

                   RowBox[{"{", 

                    RowBox[{"x", ",", "y"}], "}"}], ",", 

                   RowBox[{"rtm", "+", 

                    RowBox[{"vtm", " ", "time"}]}]}], "]"}]}], ";", 

                RowBox[{"{", 

                 RowBox[{"rtm", ",", "ang"}], "}"}]}]}], "]"}], ",", 

             RowBox[{"{", 

              RowBox[{"t", ",", "0", ",", "steps"}], "}"}]}], "]"}]}]}], 

         "]"}]}], "]"}]}], "]"}]}], "\[IndentingNewLine]", "\n", 

   RowBox[{

    RowBox[{"trayectory", "[", 

     RowBox[{

     "x_", ",", "y_", ",", "steps_", ",", "time_", ",", "ascale1_", ",", 

      "ascale2_", ",", "dragl_", ",", "draga_"}], "]"}], ":=", 

    RowBox[{"Show", "[", 

     RowBox[{

      RowBox[{"{", 

       RowBox[{"field", ",", 

        RowBox[{"Graphics", "[", 

         RowBox[{"Module", "[", 

          RowBox[{

           RowBox[{"{", "pathpart", "}"}], ",", 

           RowBox[{

            RowBox[{"pathpart", "=", 

             RowBox[{"path", "[", 

              RowBox[{

              "x", ",", "y", ",", "steps", ",", "time", ",", "ascale1", ",", 

               "ascale2", ",", "dragl", ",", "draga"}], "]"}]}], ";", 

            RowBox[{"Table", "[", 

             RowBox[{

              RowBox[{"{", 

               RowBox[{

                RowBox[{"Opacity", "[", ".1", "]"}], ",", "Yellow", ",", 

                RowBox[{"Disk", "[", 

                 RowBox[{

                  RowBox[{"pathpart", "[", 

                   RowBox[{"[", 

                    RowBox[{

                    RowBox[{"t", "+", "1"}], ",", "1"}], "]"}], "]"}], ",", 

                  "R0"}], "]"}], ",", 

                RowBox[{"Opacity", "[", "1", "]"}], ",", "Pink", ",", 

                RowBox[{"Line", "[", 

                 RowBox[{"{", 

                  RowBox[{

                   RowBox[{"pathpart", "[", 

                    RowBox[{"[", 

                    RowBox[{

                    RowBox[{"t", "+", "1"}], ",", "1"}], "]"}], "]"}], ",", 

                   RowBox[{

                    RowBox[{"pathpart", "[", 

                    RowBox[{"[", 

                    RowBox[{

                    RowBox[{"t", "+", "1"}], ",", "1"}], "]"}], "]"}], "+", 

                    RowBox[{"R0", " ", 

                    RowBox[{"{", 

                    RowBox[{

                    RowBox[{"Cos", "[", 

                    RowBox[{"pathpart", "[", 

                    RowBox[{"[", 

                    RowBox[{

                    RowBox[{"t", "+", "1"}], ",", "2"}], "]"}], "]"}], "]"}], 

                    ",", 

                    RowBox[{"Sin", "[", 

                    RowBox[{"pathpart", "[", 

                    RowBox[{"[", 

                    RowBox[{

                    RowBox[{"t", "+", "1"}], ",", "2"}], "]"}], "]"}], 

                    "]"}]}], "}"}]}]}]}], "}"}], "]"}]}], "}"}], ",", 

              RowBox[{"{", 

               RowBox[{"t", ",", "0", " ", ",", "steps"}], "}"}]}], "]"}]}]}],

           "]"}], "]"}]}], "}"}], ",", 

      RowBox[{"PlotRange", "\[Rule]", 

       RowBox[{"{", 

        RowBox[{

         RowBox[{"{", 

          RowBox[{

           RowBox[{"-", "xmaximum"}], ",", "xmaximum"}], "}"}], ",", 

         RowBox[{"{", 

          RowBox[{

           RowBox[{"-", "xmaximum"}], ",", "xmaximum"}], "}"}]}], "}"}]}]}], 

     "]"}]}], "\[IndentingNewLine]", 

   RowBox[{

    RowBox[{"plotscat", "[", 

     RowBox[{"xx_", ",", "yy_", ",", "numstep_"}], "]"}], ":=", 

    RowBox[{"Module", "[", 

     RowBox[{

      RowBox[{"{", 

       RowBox[{"bs", ",", "bi", ",", "al", ",", "ut"}], "}"}], ",", 

      RowBox[{

       RowBox[{"bs", "=", 

        RowBox[{"Table", "[", 

         RowBox[{

          RowBox[{"bsc", "[", 

           RowBox[{"nc", ",", "R0", ",", "n0"}], "]"}], ",", 

          RowBox[{"{", 

           RowBox[{"nc", ",", 

            RowBox[{"-", 

             RowBox[{"nmaxpR", "[", "R0", "]"}]}], ",", 

            RowBox[{"nmaxpR", "[", "R0", "]"}]}], "}"}]}], "]"}]}], ";", 

       RowBox[{"bi", "=", 

        RowBox[{"Table", "[", 

         RowBox[{

          RowBox[{"bin", "[", 

           RowBox[{"nc", ",", "R0", ",", "n0"}], "]"}], ",", 

          RowBox[{"{", 

           RowBox[{"nc", ",", 

            RowBox[{"-", 

             RowBox[{"nmaxpR", "[", "R0", "]"}]}], ",", 

            RowBox[{"nmaxpR", "[", "R0", "]"}]}], "}"}]}], "]"}]}], ";", 

       RowBox[{"al", "=", 

        RowBox[{"If", "[", 

         RowBox[{

          RowBox[{

           RowBox[{"opt", "[", 

            RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "\"\<even\>\""}], ",", 

          RowBox[{"alphaC", "[", 

           RowBox[{"xx", ",", "yy", ",", 

            RowBox[{"opt", "[", 

             RowBox[{"[", "3", "]"}], "]"}], ",", "R0", ",", 

            RowBox[{"gammalistC", "[", 

             RowBox[{

              RowBox[{"opt", "[", 

               RowBox[{"[", "3", "]"}], "]"}], ",", 

              RowBox[{"opt", "[", 

               RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], "]"}], ",", 

          RowBox[{"If", "[", 

           RowBox[{

            RowBox[{

             RowBox[{"opt", "[", 

              RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "\"\<odd\>\""}], 

            ",", 

            RowBox[{"alphaS", "[", 

             RowBox[{"xx", ",", "yy", ",", 

              RowBox[{"opt", "[", 

               RowBox[{"[", "3", "]"}], "]"}], ",", "R0", ",", 

              RowBox[{"gammalistS", "[", 

               RowBox[{

                RowBox[{"opt", "[", 

                 RowBox[{"[", "3", "]"}], "]"}], ",", 

                RowBox[{"opt", "[", 

                 RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], "]"}], ",", 

            RowBox[{"alphaCS", "[", 

             RowBox[{"xx", ",", "yy", ",", 

              RowBox[{"opt", "[", 

               RowBox[{"[", "3", "]"}], "]"}], ",", "R0", ",", "ccs0", ",", 

              RowBox[{"opt", "[", 

               RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], "]"}]}], "]"}]}], 

       ";", 

       RowBox[{"timing2", "=", 

        RowBox[{

         RowBox[{"Timing", "[", 

          RowBox[{

           RowBox[{"ut", "=", 

            RowBox[{"Flatten", "[", 

             RowBox[{

              RowBox[{"Table", "[", 

               RowBox[{

                RowBox[{"{", 

                 RowBox[{"x", ",", "y", ",", 

                  RowBox[{

                   RowBox[{"Abs", "[", 

                    RowBox[{"Uwhole", "[", 

                    RowBox[{

                    "R0", ",", "n0", ",", "bs", ",", "bi", ",", "al", ",", 

                    "xx", ",", "yy", ",", "x", ",", "y", ",", " ", 

                    RowBox[{

                    RowBox[{"If", "[", 

                    RowBox[{

                    RowBox[{

                    RowBox[{"opt", "[", 

                    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 

                    "\"\<even\>\""}], ",", 

                    RowBox[{"UbarC", "[", 

                    RowBox[{"x", ",", "y", ",", "cc0", ",", 

                    RowBox[{"opt", "[", 

                    RowBox[{"[", "3", "]"}], "]"}], ",", 

                    RowBox[{"opt", "[", 

                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", 

                    RowBox[{"If", "[", 

                    RowBox[{

                    RowBox[{

                    RowBox[{"opt", "[", 

                    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 

                    "\"\<odd\>\""}], ",", 

                    RowBox[{"If", "[", 

                    RowBox[{

                    RowBox[{

                    RowBox[{"opt", "[", 

                    RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", "0"}], ",", 

                    "0", ",", 

                    RowBox[{"UbarS", "[", 

                    RowBox[{"x", ",", "y", ",", "cc0", ",", 

                    RowBox[{"opt", "[", 

                    RowBox[{"[", "3", "]"}], "]"}], ",", 

                    RowBox[{"opt", "[", 

                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], "]"}], ",", 

                    RowBox[{"Ufield", "[", 

                    RowBox[{"x", ",", "y", ",", "cc0", ",", 

                    RowBox[{"opt", "[", 

                    RowBox[{"[", "3", "]"}], "]"}], ",", 

                    RowBox[{"opt", "[", 

                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], "]"}]}], "]"}],

                     "/", 

                    RowBox[{"Sqrt", "[", 

                    RowBox[{"2", "Pi"}], "]"}]}]}], "]"}], "]"}], "^", 

                   "2"}]}], "}"}], ",", 

                RowBox[{"{", 

                 RowBox[{"x", ",", 

                  RowBox[{"-", "xmaximum"}], ",", "xmaximum", ",", 

                  RowBox[{"2", " ", 

                   RowBox[{"xmaximum", "/", "numstep"}]}]}], "}"}], ",", 

                RowBox[{"{", 

                 RowBox[{"y", ",", 

                  RowBox[{"-", "xmaximum"}], ",", "xmaximum", ",", 

                  RowBox[{"2", " ", 

                   RowBox[{"xmaximum", "/", "numstep"}]}]}], "}"}]}], "]"}], 

              ",", "1"}], "]"}]}], ";"}], "]"}], "[", 

         RowBox[{"[", "1", "]"}], "]"}]}], ";", 

       RowBox[{"Show", "[", 

        RowBox[{

         RowBox[{"{", 

          RowBox[{

           RowBox[{"ListContourPlot", "[", 

            RowBox[{"ut", ",", 

             RowBox[{"ContourLines", "\[Rule]", "False"}], ",", 

             RowBox[{"Contours", "\[Rule]", "40"}], ",", 

             RowBox[{"ColorFunction", "\[Rule]", "GrayLevel"}], ",", 

             RowBox[{"FrameTicksStyle", "\[Rule]", 

              RowBox[{"Directive", "[", "30", "]"}]}], ",", 

             RowBox[{"FrameLabel", "\[Rule]", 

              RowBox[{"{", 

               RowBox[{

                RowBox[{"Style", "[", 

                 RowBox[{"\"\<kx\>\"", ",", "Italic", ",", 

                  RowBox[{"FontSize", "\[Rule]", "40"}]}], "]"}], ",", 

                RowBox[{"Style", "[", 

                 RowBox[{"\"\<ky\>\"", ",", "Italic", ",", 

                  RowBox[{"FontSize", "\[Rule]", "40"}]}], "]"}]}], "}"}]}], 

             ",", 

             RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], ",", 

           RowBox[{"Graphics", "[", 

            RowBox[{"{", 

             RowBox[{"Thick", ",", "Yellow", ",", 

              RowBox[{"Circle", "[", 

               RowBox[{

                RowBox[{"{", 

                 RowBox[{"xx", ",", "yy"}], "}"}], ",", "R0"}], "]"}]}], 

             "}"}], "]"}]}], "}"}], ",", 

         RowBox[{"PlotRange", "\[Rule]", 

          RowBox[{"{", 

           RowBox[{

            RowBox[{"{", 

             RowBox[{

              RowBox[{"-", "xmaximum"}], ",", "xmaximum"}], "}"}], ",", 

            RowBox[{"{", 

             RowBox[{

              RowBox[{"-", "xmaximum"}], ",", "xmaximum"}], "}"}]}], "}"}]}], 

         ",", 

         RowBox[{"ImageSize", "\[Rule]", "Large"}]}], "]"}]}]}], "]"}]}], 

   "\n", 

   RowBox[{

    RowBox[{

     RowBox[{"arrowcolor", "[", "col_", "]"}], "=", "Red"}], 

    ";"}]}]}]], "Input",

 CellChangeTimes->{{3.479467885758424*^9, 3.479468160880629*^9}, 

   3.479468215140541*^9, {3.479468715929583*^9, 3.479468846538663*^9}, 

   3.479468879947925*^9, {3.479470957417115*^9, 3.4794709630229807`*^9}, {

   3.479471235016264*^9, 3.47947128438017*^9}, {3.479471443600885*^9, 

   3.479471444148596*^9}, {3.479472995698886*^9, 3.479473017077127*^9}, {

   3.48189556065625*^9, 3.481895573875*^9}, 3.482237888714345*^9, {

   3.4823117282259502`*^9, 3.482311753833313*^9}, 3.482312342368043*^9, {

   3.4823123988650827`*^9, 3.482312434535474*^9}, {3.482312949768188*^9, 

   3.4823129582039013`*^9}, 3.482403952557508*^9, 3.482411218965123*^9, 

   3.4824114442591333`*^9, 3.482412830135359*^9, 3.482414136177656*^9, 

   3.4824142841958857`*^9, 3.4824143941366177`*^9, {3.482414465488123*^9, 

   3.4824144658318777`*^9}, 3.4824605415062323`*^9, {3.482806433008252*^9, 

   3.482806452853136*^9}, {3.48282434865226*^9, 3.48282436310424*^9}, 

   3.4829048525573997`*^9, 3.482905910168109*^9, 3.482908822455771*^9, 

   3.485870065124996*^9, {3.4858736232538843`*^9, 3.48587365723731*^9}, 

   3.485873840554338*^9, 3.485876981618844*^9, {3.4858770313606167`*^9, 

   3.4858770323049097`*^9}, {3.485877096228425*^9, 3.485877151550139*^9}, {

   3.485877192842284*^9, 3.48587729507244*^9}, {3.48587742855674*^9, 

   3.485877437678823*^9}, {3.4858775558065453`*^9, 3.485877590087954*^9}, {

   3.485877645643309*^9, 3.48587769457073*^9}, {3.48587794711436*^9, 

   3.485877988923318*^9}, {3.485878278998776*^9, 3.485878332304265*^9}, {

   3.485878383744749*^9, 3.4858784061256*^9}, {3.485878473146124*^9, 

   3.485878625265133*^9}, {3.485878680738504*^9, 3.485878697434951*^9}, {

   3.485878728449609*^9, 3.485878740204843*^9}, {3.485879314154913*^9, 

   3.48587932831374*^9}, {3.485879699462372*^9, 3.4858797047892303`*^9}, 

   3.485882464672984*^9, {3.485925640437441*^9, 3.485925675139019*^9}, {

   3.48618694640625*^9, 3.486186948140625*^9}, {3.48618697925*^9, 

   3.486187034234375*^9}, {3.486192635109375*^9, 3.486192684390625*^9}, {

   3.486193193640625*^9, 3.48619324725*^9}, {3.4861942898125*^9, 

   3.4861942975625*^9}, {3.48619438525*^9, 3.486194388921875*^9}, {

   3.486194422625*^9, 3.486194458140625*^9}, {3.4862111622558594`*^9, 

   3.4862111767246094`*^9}, {3.4862828946875*^9, 3.48628297625*^9}, {

   3.4862830846875*^9, 3.48628308659375*^9}, {3.486283125625*^9, 

   3.486283168484375*^9}, {3.4862922908623047`*^9, 3.4862923222509766`*^9}, {

   3.4862991125703125`*^9, 3.4862991131796875`*^9}, {3.4862994466328125`*^9, 

   3.4862994500859375`*^9}, {3.487490830986328*^9, 3.487490846033203*^9}, {

   3.487491553080078*^9, 3.487491555689453*^9}, {3.487491705439453*^9, 

   3.487491714970703*^9}, {3.488279938388672*^9, 3.488280017185547*^9}, {

   3.4882819105625*^9, 3.48828194859375*^9}, {3.488282898689453*^9, 

   3.488282949673828*^9}, {3.51863258342138*^9, 3.5186325965466557`*^9}, {

   3.518636654515725*^9, 3.518636682573071*^9}, {3.518700337295917*^9, 

   3.518700380623515*^9}, {3.518700640094923*^9, 3.518700695605492*^9}, {

   3.519399185896003*^9, 3.519399189658235*^9}, {3.519399327544734*^9, 

   3.519399341012781*^9}, {3.519399414093865*^9, 3.5193994143957367`*^9}, {

   3.5194118975559063`*^9, 3.5194119087829943`*^9}, {3.5194178757663593`*^9, 

   3.519417881758024*^9}}],



Cell[BoxData[

 RowBox[{

  StyleBox[

   RowBox[{"General", "::", "obspkg"}], "MessageName"], 

  RowBox[{

  ":", " "}], "\<\"\[NoBreak]\\!\\(\\\"VectorFieldPlots`\\\"\\)\[NoBreak] is \

now obsolete. The legacy version being loaded may conflict with current \

functionality. See the Compatibility Guide for updating information.\"\>"}]], \

"Message", "MSG",

 CellChangeTimes->{3.624631686956141*^9}]

}, Open  ]]

}, Closed]],



Cell[CellGroupData[{



Cell["Plots", "Section",

 CellChangeTimes->{{3.482311614816237*^9, 3.4823116178652353`*^9}, {

  3.4862932934414062`*^9, 3.4862932959902344`*^9}}],



Cell[CellGroupData[{



Cell["I. Basis functions", "Subsection",

 CellChangeTimes->{{3.486295588169922*^9, 3.4862955951328125`*^9}, {

  3.4863754263554688`*^9, 3.4863754269335938`*^9}},

 FontColor->RGBColor[1, 0, 1]],



Cell[CellGroupData[{



Cell["I .1. Input of arbitrary angular spectrum and error plots", \

"Subsubsection",

 CellChangeTimes->{{3.4863752531679688`*^9, 3.4863752900273438`*^9}, {

  3.4863753462617188`*^9, 3.4863753493085938`*^9}}],



Cell[TextData[{

 "You can enter the angular spectrum you want to simulate, as a function of \

angle t (theta) in the line below. You can also enter a number nmax . After \

running the cell, you will see a plot of the rms fitting error, for different \

values of truncation index n (from 0 to nmax) as a function of the basis' \

directionality parameter ",

 StyleBox["kq",

  FontSlant->"Italic"],

 "."

}], "Text",

 CellChangeTimes->{{3.4862933112695312`*^9, 3.4862933699726562`*^9}, {

   3.4862934748847656`*^9, 3.486293563961914*^9}, {3.486293602279297*^9, 

   3.486293698334961*^9}, {3.48750686046875*^9, 3.487506863796875*^9}, 

   3.518630794480998*^9},

 FontColor->RGBColor[0, 0, 1]],



Cell[BoxData[{

 RowBox[{

  RowBox[{

   RowBox[{"Atest", "[", "t_", "]"}], "=", 

   RowBox[{

    RowBox[{"Exp", "[", 

     RowBox[{

      RowBox[{"-", 

       RowBox[{"t", "^", "4"}]}], "/", 

      RowBox[{"(", 

       RowBox[{"2", " ", 

        RowBox[{

         RowBox[{"(", 

          RowBox[{"Pi", "/", "4"}], ")"}], "^", "4"}]}], ")"}]}], "]"}], " ", 

    

    RowBox[{"(", 

     RowBox[{"1", "+", 

      RowBox[{"I", " ", 

       RowBox[{"Sin", "[", "t", "]"}]}]}], ")"}]}]}], 

  ";"}], "\[IndentingNewLine]", 

 RowBox[{

  RowBox[{

   RowBox[{"nmax", "=", "4"}], ";"}], "\n"}], "\[IndentingNewLine]", 

 RowBox[{

  RowBox[{"norm0", "=", 

   RowBox[{"norm", "[", 

    RowBox[{"Atest", "[", "t", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 

 RowBox[{

  RowBox[{"dataerror", "=", 

   RowBox[{"Table", "[", 

    RowBox[{

     RowBox[{"Transpose", "[", 

      RowBox[{"{", 

       RowBox[{

        RowBox[{"Table", "[", 

         RowBox[{"kq", ",", 

          RowBox[{"{", 

           RowBox[{"n", ",", "0", ",", "nmax"}], "}"}]}], "]"}], ",", 

        RowBox[{"eps", "[", 

         RowBox[{

          RowBox[{"ccs", "[", 

           RowBox[{"kq", ",", 

            RowBox[{"Atest", "[", "t", "]"}], ",", "nmax"}], "]"}], ",", 

          "norm0"}], "]"}]}], "}"}], "]"}], ",", 

     RowBox[{"{", 

      RowBox[{"kq", ",", "1", ",", "20", ",", 

       RowBox[{"1", "/", "2"}]}], "}"}]}], "]"}]}], ";"}], "\n", 

 RowBox[{"ListLogPlot", "[", 

  RowBox[{

   RowBox[{"Transpose", "[", "dataerror", "]"}], ",", 

   RowBox[{"Joined", "\[Rule]", "True"}], ",", 

   RowBox[{"TicksStyle", "\[Rule]", 

    RowBox[{"Directive", "[", "18", "]"}]}], ",", 

   RowBox[{"AxesLabel", "\[Rule]", 

    RowBox[{"{", 

     RowBox[{

      RowBox[{"Style", "[", 

       RowBox[{"\"\<kq\>\"", ",", "Italic", ",", 

        RowBox[{"FontSize", "\[Rule]", "24"}]}], "]"}], ",", 

      RowBox[{"Style", "[", 

       RowBox[{"\"\<\[Epsilon]\>\"", ",", "Italic", ",", 

        RowBox[{"FontSize", "\[Rule]", "24"}]}], "]"}]}], "}"}]}], ",", 

   RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 

   RowBox[{"ImageSize", "\[Rule]", "Large"}]}], "]"}]}], "Input",

 CellChangeTimes->{{3.486192196234375*^9, 3.48619220484375*^9}, {

   3.4862775333125*^9, 3.48627755896875*^9}, {3.486277597046875*^9, 

   3.4862776204375*^9}, {3.4862776731875*^9, 3.486277750328125*^9}, {

   3.4862937283964844`*^9, 3.4862937405146484`*^9}, 3.4863018319277344`*^9, 

   3.488267341953125*^9, {3.488267380515625*^9, 3.48826738065625*^9}, 

   3.488280039982422*^9, 3.488280102544922*^9, {3.488282002421875*^9, 

   3.488282045109375*^9}, 3.4882820801875*^9, 3.518633490649558*^9, {

   3.51863368695508*^9, 3.518633696992756*^9}, {3.518633786128737*^9, 

   3.518633912566058*^9}, {3.5186339466632833`*^9, 3.518633982017013*^9}, {

   3.518634160765213*^9, 3.518634193449335*^9}, {3.518634280744608*^9, 

   3.518634303582415*^9}, {3.5186343435976257`*^9, 3.5186344015236*^9}, {

   3.518634449815185*^9, 3.518634460893546*^9}, {3.518634499620963*^9, 

   3.518634529796268*^9}, {3.518635299477067*^9, 3.518635299852803*^9}, 

   3.5186953358318653`*^9, {3.518695383850721*^9, 3.5186953845628567`*^9}, {

   3.518695423845655*^9, 3.518695424628682*^9}, {3.518701024077518*^9, 

   3.518701030431815*^9}, {3.518889291763723*^9, 3.51888929715866*^9}, {

   3.518889646941481*^9, 3.518889747596807*^9}}]

}, Open  ]],



Cell[CellGroupData[{



Cell["I .2. Selection of field and basis parameters", "Subsubsection",

 CellChangeTimes->{{3.4863753159492188`*^9, 3.4863753633867188`*^9}}],



Cell[TextData[{

 "This manipulation cell selects whether you want to work with only one \

member of the even or odd sub - bases of the specified index (recall that the \

odd sub - basis does not have a zeroth - order member) or with a \

reconstruction of the angular spectrum Atest[t] specified in cell I.1 and \

denoted here as A (\[Theta]).\nThe directionality parameter ",

 StyleBox["kq",

  FontSlant->"Italic"],

 " can be adjusted by moving the slider, but you can enter a numeric value \

for it by first clicking on the \"+\" to the right of the slider.\nIf you \

work with a basis element (even or odd), the plot shows you the corresponding \

angular spectrum as a function of the directionality parameter ",

 StyleBox["kq",

  FontSlant->"Italic"],

 ".\nIf you work with A (\[Theta]), the plot shows you the real (blue) and \

imaginary (green) parts for the prescribed angular spectrum (solid lines) and \

for its fit (dashed lines) with basis elements up to the prescribed n, and \

for the given ",

 StyleBox["kq",

  FontSlant->"Italic"],

 ". This plot also shows the rms error as a number on the right."

}], "Text",

 CellChangeTimes->{{3.4862937604160156`*^9, 3.4862938542773438`*^9}, {

   3.4862938847470703`*^9, 3.4862941584960938`*^9}, {3.4863758391054688`*^9, 

   3.4863758739335938`*^9}, {3.4863759121367188`*^9, 3.4863759162617188`*^9}, 

   3.488282291328125*^9, {3.48828234525*^9, 3.4882824195478516`*^9}, {

   3.518637291611011*^9, 3.518637395339905*^9}, {3.5186374311033173`*^9, 

   3.5186374313791733`*^9}},

 FontColor->RGBColor[0, 0, 1]],



Cell[BoxData[

 RowBox[{"Manipulate", "[", 

  RowBox[{

   RowBox[{

    RowBox[{"opt", "=", 

     RowBox[{"{", 

      RowBox[{"option", ",", "n", ",", 

       RowBox[{

        RowBox[{"Round", "[", 

         RowBox[{"100", " ", "kq"}], "]"}], "/", "100"}]}], "}"}]}], ";", 

    RowBox[{"If", "[", 

     RowBox[{

      RowBox[{"option", "\[Equal]", "\"\<even\>\""}], ",", 

      RowBox[{"cc0", "=", 

       RowBox[{"coC", "[", 

        RowBox[{

         RowBox[{"opt", "[", 

          RowBox[{"[", "3", "]"}], "]"}], ",", "n", ",", "n"}], "]"}]}], ",", 

      

      RowBox[{"If", "[", 

       RowBox[{

        RowBox[{"option", "\[Equal]", "\"\<odd\>\""}], ",", 

        RowBox[{"If", "[", 

         RowBox[{

          RowBox[{"n", "\[Equal]", "0"}], ",", "\"\<no zeroth element\>\"", 

          ",", 

          RowBox[{"cc0", "=", 

           RowBox[{"coS", "[", 

            RowBox[{

             RowBox[{"opt", "[", 

              RowBox[{"[", "3", "]"}], "]"}], ",", "n", ",", "n"}], "]"}]}]}],

          "]"}], ",", 

        RowBox[{

         RowBox[{"ccs0", "=", 

          RowBox[{"ccs", "[", 

           RowBox[{

            RowBox[{"opt", "[", 

             RowBox[{"[", "3", "]"}], "]"}], ",", 

            RowBox[{"Atest", "[", "t", "]"}], ",", "n"}], "]"}]}], ";", 

         RowBox[{"cc0", "=", 

          RowBox[{"coex", "[", 

           RowBox[{

            RowBox[{"opt", "[", 

             RowBox[{"[", "3", "]"}], "]"}], ",", "n", ",", "ccs0"}], 

           "]"}]}]}]}], "]"}]}], "]"}], ";", 

    RowBox[{"If", "[", 

     RowBox[{

      RowBox[{"option", "\[Equal]", "\"\<even\>\""}], ",", 

      RowBox[{"Plot", "[", 

       RowBox[{

        RowBox[{"AC", "[", 

         RowBox[{

          RowBox[{"t", " ", "Pi"}], ",", 

          RowBox[{

           RowBox[{"Round", "[", 

            RowBox[{"100", " ", "kq"}], "]"}], "/", "100"}], ",", "n"}], 

         "]"}], ",", 

        RowBox[{"{", 

         RowBox[{"t", ",", 

          RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 

        RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 

        RowBox[{"AxesLabel", "\[Rule]", 

         RowBox[{"{", 

          RowBox[{

           RowBox[{"Style", "[", 

            RowBox[{"\"\<\[Theta]/\[Pi]\>\"", ",", "Italic", ",", 

             RowBox[{"FontSize", "\[Rule]", "24"}]}], "]"}], ",", 

           RowBox[{"Style", "[", 

            RowBox[{"\"\<A\>\"", ",", "Italic", ",", 

             RowBox[{"FontSize", "\[Rule]", "24"}]}], "]"}]}], "}"}]}], ",", 

        RowBox[{"TicksStyle", "\[Rule]", 

         RowBox[{"Directive", "[", "18", "]"}]}], ",", 

        RowBox[{"ImageSize", "\[Rule]", "Large"}]}], "]"}], ",", 

      RowBox[{"If", "[", 

       RowBox[{

        RowBox[{"option", "\[Equal]", "\"\<odd\>\""}], ",", 

        RowBox[{"If", "[", 

         RowBox[{

          RowBox[{"n", "\[Equal]", "0"}], ",", "\"\<no zeroth element\>\"", 

          ",", 

          RowBox[{"Plot", "[", 

           RowBox[{

            RowBox[{"AS", "[", 

             RowBox[{

              RowBox[{"t", " ", "Pi"}], ",", 

              RowBox[{

               RowBox[{"Round", "[", 

                RowBox[{"100", " ", "kq"}], "]"}], "/", "100"}], ",", "n"}], 

             "]"}], ",", 

            RowBox[{"{", 

             RowBox[{"t", ",", 

              RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 

            RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 

            RowBox[{"AxesLabel", "\[Rule]", 

             RowBox[{"{", 

              RowBox[{

               RowBox[{"Style", "[", 

                RowBox[{"\"\<\[Theta]/\[Pi]\>\"", ",", "Italic", ",", 

                 RowBox[{"FontSize", "\[Rule]", "24"}]}], "]"}], ",", 

               RowBox[{"Style", "[", 

                RowBox[{"\"\<A\>\"", ",", "Italic", ",", 

                 RowBox[{"FontSize", "\[Rule]", "12"}]}], "]"}]}], "}"}]}], 

            ",", 

            RowBox[{"TicksStyle", "\[Rule]", 

             RowBox[{"Directive", "[", "18", "]"}]}], ",", 

            RowBox[{"ImageSize", "\[Rule]", "Large"}]}], "]"}]}], "]"}], ",", 

        

        RowBox[{"Module", "[", 

         RowBox[{

          RowBox[{"{", 

           RowBox[{"At", ",", "ccnew", ",", "Asc"}], "}"}], ",", 

          RowBox[{

           RowBox[{"At", "=", 

            RowBox[{"ACStab", "[", 

             RowBox[{

              RowBox[{"t", " ", "Pi"}], ",", 

              RowBox[{

               RowBox[{"Round", "[", 

                RowBox[{"100", " ", "kq"}], "]"}], "/", "100"}], ",", "n"}], 

             "]"}]}], ";", 

           RowBox[{"ccnew", "=", 

            RowBox[{"ccs", "[", 

             RowBox[{

              RowBox[{"opt", "[", 

               RowBox[{"[", "3", "]"}], "]"}], ",", 

              RowBox[{"Atest", "[", "t", "]"}], ",", "n"}], "]"}]}], ";", 

           RowBox[{"Asc", "=", 

            RowBox[{

             RowBox[{

              RowBox[{"ccnew", "[", 

               RowBox[{"[", "1", "]"}], "]"}], ".", 

              RowBox[{"At", "[", 

               RowBox[{"[", "1", "]"}], "]"}]}], "+", 

             RowBox[{

              RowBox[{"ccnew", "[", 

               RowBox[{"[", "2", "]"}], "]"}], ".", 

              RowBox[{"At", "[", 

               RowBox[{"[", "2", "]"}], "]"}]}]}]}], ";", 

           RowBox[{"Show", "[", 

            RowBox[{

             RowBox[{"{", 

              RowBox[{

               RowBox[{"Plot", "[", 

                RowBox[{

                 RowBox[{"{", 

                  RowBox[{

                   RowBox[{"Re", "[", 

                    RowBox[{"Atest", "[", 

                    RowBox[{"t", " ", "Pi"}], "]"}], "]"}], ",", 

                   RowBox[{"Im", "[", 

                    RowBox[{"Atest", "[", 

                    RowBox[{"t", " ", "Pi"}], "]"}], "]"}], ",", 

                   RowBox[{"Re", "[", "Asc", "]"}], ",", 

                   RowBox[{"Im", "[", "Asc", "]"}]}], "}"}], ",", 

                 RowBox[{"{", 

                  RowBox[{"t", ",", 

                   RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 

                 RowBox[{"PlotStyle", "\[Rule]", 

                  RowBox[{"{", 

                   RowBox[{"Blue", ",", "Green", ",", 

                    RowBox[{"{", 

                    RowBox[{"Dashed", ",", "Blue"}], "}"}], ",", 

                    RowBox[{"{", 

                    RowBox[{"Dashed", ",", "Green"}], "}"}]}], "}"}]}], ",", 

                 RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 

                 RowBox[{"TicksStyle", "\[Rule]", 

                  RowBox[{"Directive", "[", "18", "]"}]}], ",", 

                 RowBox[{"AxesLabel", "\[Rule]", 

                  RowBox[{"{", 

                   RowBox[{

                    RowBox[{"Style", "[", 

                    RowBox[{"\"\<\[Theta]/\[Pi]\>\"", ",", "Italic", ",", 

                    RowBox[{"FontSize", "\[Rule]", "24"}]}], "]"}], ",", 

                    RowBox[{"Style", "[", 

                    RowBox[{"\"\<A\>\"", ",", "Italic", ",", 

                    RowBox[{"FontSize", "\[Rule]", "24"}]}], "]"}]}], 

                   "}"}]}]}], "]"}], ",", 

               RowBox[{"Graphics", "[", 

                RowBox[{"{", 

                 RowBox[{

                  RowBox[{"Style", "[", 

                   RowBox[{

                    RowBox[{"Text", "[", 

                    RowBox[{"\"\<\[Epsilon]=\>\"", ",", 

                    RowBox[{"{", 

                    RowBox[{".5", ",", ".2"}], "}"}], ",", 

                    RowBox[{"{", 

                    RowBox[{

                    RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], ",", 

                    RowBox[{"FontSize", "\[Rule]", "18"}]}], "]"}], ",", 

                  RowBox[{"Style", "[", 

                   RowBox[{

                    RowBox[{"Text", "[", 

                    RowBox[{

                    RowBox[{

                    RowBox[{"eps", "[", 

                    RowBox[{"ccnew", ",", "norm0"}], "]"}], "[", 

                    RowBox[{"[", 

                    RowBox[{"n", "+", "1"}], "]"}], "]"}], ",", 

                    RowBox[{"{", 

                    RowBox[{".6", ",", ".2"}], "}"}], ",", 

                    RowBox[{"{", 

                    RowBox[{

                    RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], ",", 

                    RowBox[{"FontSize", "\[Rule]", "18"}]}], "]"}]}], "}"}], 

                "]"}]}], "}"}], ",", 

             RowBox[{"ImageSize", "\[Rule]", "Large"}]}], "]"}]}]}], "]"}]}], 

       "]"}]}], "]"}]}], ",", 

   RowBox[{"{", 

    RowBox[{"option", ",", 

     RowBox[{"{", 

      RowBox[{

      "\"\<even\>\"", ",", "\"\<odd\>\"", ",", "\"\<A(\[Theta])\>\""}], 

      "}"}]}], "}"}], ",", 

   RowBox[{"{", 

    RowBox[{"n", ",", 

     RowBox[{"Range", "[", 

      RowBox[{"0", ",", "8"}], "]"}]}], "}"}], ",", 

   RowBox[{"{", 

    RowBox[{"kq", ",", "0", ",", "20"}], "}"}]}], "]"}]], "Input",

 CellChangeTimes->{{3.48618761178125*^9, 3.48618761459375*^9}, {

   3.4861876665*^9, 3.486187752046875*^9}, {3.48619148525*^9, 

   3.48619148971875*^9}, {3.486191584203125*^9, 3.48619174109375*^9}, {

   3.48619178678125*^9, 3.48619179209375*^9}, {3.486191931234375*^9, 

   3.48619193165625*^9}, {3.486191974625*^9, 3.486192023390625*^9}, {

   3.48619226*^9, 3.486192373890625*^9}, {3.48619241646875*^9, 

   3.486192509828125*^9}, {3.486192569484375*^9, 3.4861926180625*^9}, {

   3.486192721390625*^9, 3.486192721734375*^9}, {3.486192914640625*^9, 

   3.486192937609375*^9}, {3.4861932618125*^9, 3.48619326509375*^9}, {

   3.48619335525*^9, 3.48619341365625*^9}, {3.48619365490625*^9, 

   3.48619371553125*^9}, 3.486193753125*^9, {3.4861938024375*^9, 

   3.48619386334375*^9}, {3.486193923390625*^9, 3.486193959921875*^9}, {

   3.48619409753125*^9, 3.48619415546875*^9}, 3.486194194234375*^9, {

   3.4861947615625*^9, 3.48619480025*^9}, {3.48619638996875*^9, 

   3.48619639371875*^9}, {3.486196468890625*^9, 3.486196489484375*^9}, {

   3.48619662759375*^9, 3.486196628796875*^9}, {3.4862113697402344`*^9, 

   3.4862114065371094`*^9}, {3.4862135654121094`*^9, 

   3.4862136115058594`*^9}, {3.48628320821875*^9, 3.486283456703125*^9}, {

   3.486283532953125*^9, 3.486283538046875*^9}, {3.48628365409375*^9, 

   3.486283684984375*^9}, {3.4862840926875*^9, 3.48628417075*^9}, {

   3.486284219625*^9, 3.486284396875*^9}, {3.486284886765625*^9, 

   3.48628494784375*^9}, {3.486284996140625*^9, 3.4862850313125*^9}, {

   3.486285092375*^9, 3.486285127328125*^9}, {3.486285166875*^9, 

   3.48628519434375*^9}, {3.486285226625*^9, 3.4862852608125*^9}, {

   3.486285399671875*^9, 3.486285403609375*^9}, 3.486285435453125*^9, {

   3.48628550684375*^9, 3.4862855115625*^9}, {3.518633176906554*^9, 

   3.518633182688334*^9}, {3.518633242388369*^9, 3.518633253882423*^9}, {

   3.5186345830435467`*^9, 3.5186346199847717`*^9}, {3.5186346506797256`*^9, 

   3.5186346868907127`*^9}, {3.518634736148975*^9, 3.5186347405934362`*^9}, {

   3.5186348493219337`*^9, 3.518634864185019*^9}, {3.5186350872176027`*^9, 

   3.518635241659053*^9}, {3.5186354673461123`*^9, 3.518635485523291*^9}, {

   3.518698264570938*^9, 3.518698280534322*^9}, {3.518805066547617*^9, 

   3.5188050707029657`*^9}, 3.518805130638603*^9, {3.518805183636752*^9, 

   3.5188052329082937`*^9}}]

}, Open  ]],



Cell[CellGroupData[{



Cell["I .3. Plot of the field", "Subsubsection",

 CellChangeTimes->{{3.4863753159492188`*^9, 3.4863753824960938`*^9}, {

  3.4863754131367188`*^9, 3.4863754162304688`*^9}}],



Cell["\<\

This active cell shows the intensity at the focal region of the field \

corresponding to the selection in I.2.

You can choose the range of the plot as well as the number of sample points \

in each direction used to generate it.

This plot (which takes some seconds) will serve as the background for several \

plots that  follow.\

\>", "Text",

 CellChangeTimes->{{3.4862942001152344`*^9, 3.486294339916992*^9}, {

  3.4863759480585938`*^9, 3.4863759893554688`*^9}, {3.4863769232773438`*^9, 

  3.4863769293554688`*^9}, {3.518631094854319*^9, 3.518631097450691*^9}, {

  3.518637516697707*^9, 3.518637537939343*^9}},

 FontColor->RGBColor[0, 0, 1]],



Cell[BoxData[

 RowBox[{"Manipulate", "[", 

  RowBox[{

   RowBox[{

    RowBox[{"xmaximum", "=", "xmax"}], ";", 

    RowBox[{"timing", "=", 

     RowBox[{

      RowBox[{"Timing", "[", 

       RowBox[{

        RowBox[{"datafield", "=", 

         RowBox[{"If", "[", 

          RowBox[{

           RowBox[{

            RowBox[{"opt", "[", 

             RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "\"\<even\>\""}], 

           ",", 

           RowBox[{"Table", "[", 

            RowBox[{

             RowBox[{"UbarC", "[", 

              RowBox[{"x", ",", "y", ",", "cc0", ",", 

               RowBox[{"opt", "[", 

                RowBox[{"[", "3", "]"}], "]"}], ",", 

               RowBox[{"opt", "[", 

                RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", 

             RowBox[{"{", 

              RowBox[{"x", ",", 

               RowBox[{"-", "xmax"}], ",", "xmax", ",", 

               RowBox[{"2", " ", 

                RowBox[{"xmax", "/", "steps"}]}]}], "}"}], ",", 

             RowBox[{"{", 

              RowBox[{"y", ",", 

               RowBox[{"-", "xmax"}], ",", "xmax", ",", 

               RowBox[{"2", " ", 

                RowBox[{"xmax", "/", "steps"}]}]}], "}"}]}], "]"}], ",", 

           RowBox[{"If", "[", 

            RowBox[{

             RowBox[{

              RowBox[{"opt", "[", 

               RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "\"\<odd\>\""}], 

             ",", 

             RowBox[{"If", "[", 

              RowBox[{

               RowBox[{

                RowBox[{"opt", "[", 

                 RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", "0"}], ",", 

               RowBox[{"Table", "[", 

                RowBox[{"0", ",", 

                 RowBox[{"{", 

                  RowBox[{"x", ",", 

                   RowBox[{"-", "xmax"}], ",", "xmax", ",", 

                   RowBox[{"2", " ", 

                    RowBox[{"xmax", "/", "steps"}]}]}], "}"}], ",", 

                 RowBox[{"{", 

                  RowBox[{"y", ",", 

                   RowBox[{"-", "xmax"}], ",", "xmax", ",", 

                   RowBox[{"2", " ", 

                    RowBox[{"xmax", "/", "steps"}]}]}], "}"}]}], "]"}], ",", 

               RowBox[{"Table", "[", 

                RowBox[{

                 RowBox[{"UbarS", "[", 

                  RowBox[{"x", ",", "y", ",", "cc0", ",", 

                   RowBox[{"opt", "[", 

                    RowBox[{"[", "3", "]"}], "]"}], ",", 

                   RowBox[{"opt", "[", 

                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", 

                 RowBox[{"{", 

                  RowBox[{"x", ",", 

                   RowBox[{"-", "xmax"}], ",", "xmax", ",", 

                   RowBox[{"2", " ", 

                    RowBox[{"xmax", "/", "steps"}]}]}], "}"}], ",", 

                 RowBox[{"{", 

                  RowBox[{"y", ",", 

                   RowBox[{"-", "xmax"}], ",", "xmax", ",", 

                   RowBox[{"2", " ", 

                    RowBox[{"xmax", "/", "steps"}]}]}], "}"}]}], "]"}]}], 

              "]"}], ",", 

             RowBox[{"Table", "[", 

              RowBox[{

               RowBox[{"Ufield", "[", 

                RowBox[{"x", ",", "y", ",", "cc0", ",", 

                 RowBox[{"opt", "[", 

                  RowBox[{"[", "3", "]"}], "]"}], ",", 

                 RowBox[{"opt", "[", 

                  RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", 

               RowBox[{"{", 

                RowBox[{"x", ",", 

                 RowBox[{"-", "xmax"}], ",", "xmax", ",", 

                 RowBox[{"2", " ", 

                  RowBox[{"xmax", "/", "steps"}]}]}], "}"}], ",", 

               RowBox[{"{", 

                RowBox[{"y", ",", 

                 RowBox[{"-", "xmax"}], ",", "xmax", ",", 

                 RowBox[{"2", " ", 

                  RowBox[{"xmax", "/", "steps"}]}]}], "}"}]}], "]"}]}], 

            "]"}]}], "]"}]}], ";"}], "]"}], "[", 

      RowBox[{"[", "1", "]"}], "]"}]}], ";", "\n", 

    RowBox[{"field", "=", 

     RowBox[{"ListContourPlot", "[", 

      RowBox[{

       RowBox[{"Flatten", "[", 

        RowBox[{

         RowBox[{"Table", "[", 

          RowBox[{

           RowBox[{"{", 

            RowBox[{"x", ",", "y", ",", 

             RowBox[{

              RowBox[{"Abs", "[", 

               RowBox[{"datafield", "[", 

                RowBox[{"[", 

                 RowBox[{

                  RowBox[{"Round", "[", 

                   RowBox[{"1", "+", 

                    RowBox[{"steps", " ", 

                    RowBox[{

                    RowBox[{"(", 

                    RowBox[{"x", "+", "xmax"}], ")"}], "/", 

                    RowBox[{"(", 

                    RowBox[{"2", " ", "xmax"}], ")"}]}]}]}], "]"}], ",", 

                  RowBox[{"Round", "[", 

                   RowBox[{"1", "+", 

                    RowBox[{"steps", " ", 

                    RowBox[{

                    RowBox[{"(", 

                    RowBox[{"y", "+", "xmax"}], ")"}], "/", 

                    RowBox[{"(", 

                    RowBox[{"2", " ", "xmax"}], ")"}]}]}]}], "]"}]}], "]"}], 

                "]"}], "]"}], "^", "2"}]}], "}"}], ",", 

           RowBox[{"{", 

            RowBox[{"x", ",", 

             RowBox[{"-", "xmax"}], ",", "xmax", ",", 

             RowBox[{"2", " ", 

              RowBox[{"xmax", "/", "steps"}]}]}], "}"}], ",", 

           RowBox[{"{", 

            RowBox[{"y", ",", 

             RowBox[{"-", "xmax"}], ",", "xmax", ",", 

             RowBox[{"2", " ", 

              RowBox[{"xmax", "/", "steps"}]}]}], "}"}]}], "]"}], ",", "1"}], 

        "]"}], ",", 

       RowBox[{"ContourLines", "\[Rule]", "False"}], ",", 

       RowBox[{"Contours", "\[Rule]", "40"}], ",", 

       RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 

       RowBox[{"ImageSize", "\[Rule]", "Large"}], ",", 

       RowBox[{"FrameTicksStyle", "\[Rule]", 

        RowBox[{"Directive", "[", "30", "]"}]}], ",", 

       RowBox[{"ColorFunction", "\[Rule]", "GrayLevel"}], ",", 

       RowBox[{"FrameLabel", "\[Rule]", 

        RowBox[{"{", 

         RowBox[{

          RowBox[{"Style", "[", 

           RowBox[{"\"\<kx\>\"", ",", "Italic", ",", 

            RowBox[{"FontSize", "\[Rule]", "40"}]}], "]"}], ",", 

          RowBox[{"Style", "[", 

           RowBox[{"\"\<ky\>\"", ",", "Italic", ",", 

            RowBox[{"FontSize", "\[Rule]", "40"}]}], "]"}]}], "}"}]}]}], 

      "]"}]}]}], ",", 

   RowBox[{"{", 

    RowBox[{

     RowBox[{"{", 

      RowBox[{"xmax", ",", "20"}], "}"}], ",", 

     RowBox[{"Range", "[", 

      RowBox[{"10", ",", "80", ",", "10"}], "]"}]}], "}"}], ",", 

   RowBox[{"{", 

    RowBox[{"steps", ",", 

     RowBox[{"Range", "[", 

      RowBox[{"15", ",", "81", ",", "4"}], "]"}]}], "}"}]}], "]"}]], "Input",

 CellChangeTimes->{{3.4861948998125*^9, 3.486195031375*^9}, {

   3.4861950758125*^9, 3.48619508615625*^9}, {3.486195169*^9, 

   3.48619535875*^9}, {3.48619667840625*^9, 3.48619684421875*^9}, {

   3.48619707565625*^9, 3.4861974459375*^9}, {3.4861975666875*^9, 

   3.4861975794375*^9}, {3.486197665703125*^9, 3.486197675578125*^9}, {

   3.4861977780625*^9, 3.48619778275*^9}, {3.4861978405625*^9, 

   3.48619784453125*^9}, {3.486197882234375*^9, 3.4861979266875*^9}, {

   3.486198060171875*^9, 3.486198110578125*^9}, {3.4861986363623047`*^9, 

   3.4861986889873047`*^9}, {3.4861999783154297`*^9, 

   3.4861999879248047`*^9}, {3.4862913155615234`*^9, 3.486291316810547*^9}, 

   3.518633373410981*^9, {3.518635566844095*^9, 3.518635639656488*^9}, {

   3.518635707812807*^9, 3.518635720429141*^9}, {3.518636211098103*^9, 

   3.518636212095454*^9}, {3.518805921859523*^9, 3.518805925501404*^9}, {

   3.518805956401783*^9, 3.51880595817128*^9}, {3.5193973588002987`*^9, 

   3.5193973737072153`*^9}, {3.5193977889984922`*^9, 3.519397801463834*^9}}],



Cell["\<\

If you are curious to know how many seconds it took to generate the plot \

above, enter the cell that says \"timing\" below :\

\>", "Text",

 CellChangeTimes->{{3.4862943528203125`*^9, 3.486294397073242*^9}},

 FontColor->RGBColor[0, 0, 1]],



Cell[BoxData["timing"], "Input",

 CellChangeTimes->{{3.4861987050654297`*^9, 3.4861987059404297`*^9}, {

   3.4861987414248047`*^9, 3.4861987616591797`*^9}, 3.486291320741211*^9}]

}, Open  ]]

}, Open  ]],



Cell[CellGroupData[{



Cell["II. Mie Scattering", "Subsection",

 CellChangeTimes->{{3.486295537661133*^9, 3.4862955415439453`*^9}, {

  3.4863755047929688`*^9, 3.4863755055117188`*^9}},

 FontColor->RGBColor[1, 0, 1]],



Cell[CellGroupData[{



Cell["II .1. Scatterer parameters", "Subsubsection",

 CellChangeTimes->{{3.4863753159492188`*^9, 3.4863753633867188`*^9}, {

  3.4863755194335938`*^9, 3.4863755332148438`*^9}}],



Cell["\<\

This active cell lets you specify the size and refractive index (real and \

imaginary parts) of the circular scatterer for the plots to follow.\

\>", "Text",

 CellChangeTimes->{{3.4862944284335938`*^9, 3.4862944837285156`*^9}},

 FontColor->RGBColor[0, 0, 1]],



Cell[BoxData[

 RowBox[{"Manipulate", "[", 

  RowBox[{

   RowBox[{

    RowBox[{"R0", "=", "R"}], ";", 

    RowBox[{"n0", "=", 

     RowBox[{"nreal", "+", 

      RowBox[{"nimag", " ", "I"}]}]}], ";", 

    RowBox[{"Show", "[", 

     RowBox[{"{", 

      RowBox[{"field", ",", 

       RowBox[{"Graphics", "[", 

        RowBox[{"{", 

         RowBox[{"Thick", ",", "Yellow", ",", 

          RowBox[{"Circle", "[", 

           RowBox[{

            RowBox[{"{", 

             RowBox[{"0", ",", "0"}], "}"}], ",", "R"}], "]"}], ",", 

          RowBox[{"Opacity", "[", 

           RowBox[{"nimag", "/", "4"}], "]"}], ",", 

          RowBox[{"Disk", "[", 

           RowBox[{

            RowBox[{"{", 

             RowBox[{"0", ",", "0"}], "}"}], ",", "R"}], "]"}], ",", "Cyan", 

          ",", 

          RowBox[{"Opacity", "[", "1", "]"}], ",", 

          RowBox[{"Text", "[", 

           RowBox[{

            RowBox[{"Style", "[", 

             RowBox[{"\"\<\[Nu]=\>\"", ",", "Large"}], "]"}], ",", 

            RowBox[{"{", 

             RowBox[{

              RowBox[{

               RowBox[{"xmaximum", "/", "2"}], "-", 

               RowBox[{"xmaximum", "/", "8"}]}], ",", "0"}], "}"}]}], "]"}], 

          ",", 

          RowBox[{"Text", "[", 

           RowBox[{

            RowBox[{"Style", "[", 

             RowBox[{

              RowBox[{"nreal", "+", 

               RowBox[{"I", " ", "nimag"}]}], ",", "Large"}], "]"}], ",", 

            RowBox[{"{", 

             RowBox[{

              RowBox[{"7", 

               RowBox[{"xmaximum", "/", "16"}]}], ",", "0"}], "}"}], ",", 

            RowBox[{"{", 

             RowBox[{

              RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}]}], "}"}], 

        "]"}]}], "}"}], "]"}]}], ",", 

   RowBox[{"{", 

    RowBox[{

     RowBox[{"{", 

      RowBox[{"R", ",", "3.14"}], "}"}], ",", ".1", ",", "20."}], "}"}], ",", 

   

   RowBox[{"{", 

    RowBox[{

     RowBox[{"{", 

      RowBox[{"nreal", ",", "1.4"}], "}"}], ",", ".5", ",", "4"}], "}"}], ",", 

   RowBox[{"{", 

    RowBox[{"nimag", ",", "0", ",", "4"}], "}"}]}], "]"}]], "Input",

 CellChangeTimes->{{3.4820395300722656`*^9, 3.4820395715097656`*^9}, 

   3.4820396261035156`*^9, {3.4820396779785156`*^9, 3.4820396817753906`*^9}, {

   3.4820397917910156`*^9, 3.4820397940410156`*^9}, 3.4820398403378906`*^9, 

   3.4820399107441406`*^9, {3.482050736279297*^9, 3.482050749904297*^9}, {

   3.482050801326172*^9, 3.482050879763672*^9}, {3.482050948232422*^9, 

   3.482050953654297*^9}, {3.482051000591797*^9, 3.4820510381552734`*^9}, {

   3.48205183446875*^9, 3.48205183503125*^9}, {3.48205207925*^9, 

   3.48205208359375*^9}, {3.4820527759384766`*^9, 3.4820527952978516`*^9}, 

   3.482054099626953*^9, {3.482054170283203*^9, 3.482054186564453*^9}, {

   3.4820543651904297`*^9, 3.4820543677060547`*^9}, {3.4820544290966797`*^9, 

   3.4820544306904297`*^9}, {3.482240838581374*^9, 3.482240848419784*^9}, 

   3.482240955930812*^9, {3.482242426209141*^9, 3.4822424296405993`*^9}, 

   3.4823149473466883`*^9, {3.482995343640154*^9, 3.482995349476803*^9}, {

   3.4861990246123047`*^9, 3.4861990483466797`*^9}, {3.4861991149873047`*^9, 

   3.4861994165341797`*^9}, {3.4861994469404297`*^9, 

   3.4861994497216797`*^9}, {3.4861994798623047`*^9, 

   3.4861994883623047`*^9}, {3.4861995248310547`*^9, 

   3.4861995350966797`*^9}, {3.4862000222529297`*^9, 3.4862000392529297`*^9}, 

   3.4862000758310547`*^9, {3.4862001355029297`*^9, 3.4862001361748047`*^9}, 

   3.4862002263623047`*^9, {3.4862002628779297`*^9, 3.4862002648779297`*^9}, {

   3.4862004561591797`*^9, 3.4862005013623047`*^9}, {3.4862006086435547`*^9, 

   3.4862006630498047`*^9}, 3.4862009561748047`*^9, {3.4862011537529297`*^9, 

   3.4862011999716797`*^9}, {3.4862012338935547`*^9, 

   3.4862013299716797`*^9}, {3.4862016166748047`*^9, 

   3.4862017433466797`*^9}, {3.4862017904404297`*^9, 

   3.4862018844560547`*^9}, {3.4862019784091797`*^9, 

   3.4862020237841797`*^9}, {3.518631278116165*^9, 3.518631279687024*^9}, {

   3.518803786332014*^9, 3.5188038968104*^9}, {3.5188040731632433`*^9, 

   3.5188040999444523`*^9}, {3.5188041393454447`*^9, 3.518804169647167*^9}, {

   3.519398095586122*^9, 3.519398119299368*^9}}]

}, Open  ]],



Cell[CellGroupData[{



Cell["II .2. Force map", "Subsubsection",

 CellChangeTimes->{{3.4863753159492188`*^9, 3.4863753633867188`*^9}, {

  3.4863755194335938`*^9, 3.4863755651367188`*^9}}],



Cell["\<\

This  cell generates a map of the forces the scatterer specified in II.1 \

would experience at different points the field.

Since this is a passive cell, you have to enter it every time that you change \

the field and/or particle parameters.

The number before the plot gives you the time of computation in seconds.\

\>", "Text",

 CellChangeTimes->{{3.486294517904297*^9, 3.4862946434375*^9}, {

  3.4863760460429688`*^9, 3.4863760544023438`*^9}, {3.5186375756015987`*^9, 

  3.518637583068884*^9}},

 FontColor->RGBColor[0, 0, 1]],



Cell[BoxData[{

 RowBox[{

  RowBox[{"Timing", "[", 

   RowBox[{

    RowBox[{"arrows0", "=", 

     RowBox[{"Module", "[", 

      RowBox[{

       RowBox[{"{", "bs", "}"}], ",", 

       RowBox[{

        RowBox[{"bs", "=", 

         RowBox[{"Table", "[", 

          RowBox[{

           RowBox[{"bsc", "[", 

            RowBox[{"nc", ",", "R0", ",", "n0"}], "]"}], ",", 

           RowBox[{"{", 

            RowBox[{"nc", ",", 

             RowBox[{"-", 

              RowBox[{"nmaxpR", "[", "R0", "]"}]}], ",", 

             RowBox[{"nmaxpR", "[", "R0", "]"}]}], "}"}]}], "]"}]}], ";", 

        RowBox[{"If", "[", 

         RowBox[{

          RowBox[{

           RowBox[{"opt", "[", 

            RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "\"\<even\>\""}], ",", 

          RowBox[{"VectorFieldPlot", "[", 

           RowBox[{

            RowBox[{"p", "[", 

             RowBox[{

              RowBox[{"nmaxpR", "[", "R0", "]"}], ",", "bs", ",", 

              "\[IndentingNewLine]", 

              RowBox[{"alphaC", "[", 

               RowBox[{"x", ",", "y", ",", 

                RowBox[{"opt", "[", 

                 RowBox[{"[", "3", "]"}], "]"}], ",", "R0", ",", 

                RowBox[{"gammalistC", "[", 

                 RowBox[{

                  RowBox[{"opt", "[", 

                   RowBox[{"[", "3", "]"}], "]"}], ",", 

                  RowBox[{"opt", "[", 

                   RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], "]"}]}], "]"}], 

            ",", 

            RowBox[{"{", 

             RowBox[{"x", ",", 

              RowBox[{"-", "xmaximum"}], ",", "xmaximum"}], "}"}], ",", 

            RowBox[{"{", 

             RowBox[{"y", ",", 

              RowBox[{"-", "xmaximum"}], ",", "xmaximum"}], "}"}], ",", 

            RowBox[{"PlotPoints", "\[Rule]", "14"}], ",", 

            RowBox[{"ColorFunction", "\[Rule]", "arrowcolor"}]}], "]"}], ",", 

          

          RowBox[{"If", "[", 

           RowBox[{

            RowBox[{

             RowBox[{"opt", "[", 

              RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "\"\<odd\>\""}], 

            ",", 

            RowBox[{"VectorFieldPlot", "[", 

             RowBox[{

              RowBox[{"p", "[", 

               RowBox[{

                RowBox[{"nmaxpR", "[", "R0", "]"}], ",", "bs", ",", 

                "\[IndentingNewLine]", 

                RowBox[{"alphaS", "[", 

                 RowBox[{"x", ",", "y", ",", 

                  RowBox[{"opt", "[", 

                   RowBox[{"[", "3", "]"}], "]"}], ",", "R0", ",", 

                  RowBox[{"gammalistS", "[", 

                   RowBox[{

                    RowBox[{"opt", "[", 

                    RowBox[{"[", "3", "]"}], "]"}], ",", 

                    RowBox[{"opt", "[", 

                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], "]"}]}], "]"}],

               ",", 

              RowBox[{"{", 

               RowBox[{"x", ",", 

                RowBox[{"-", "xmaximum"}], ",", "xmaximum"}], "}"}], ",", 

              RowBox[{"{", 

               RowBox[{"y", ",", 

                RowBox[{"-", "xmaximum"}], ",", "xmaximum"}], "}"}], ",", 

              RowBox[{"PlotPoints", "\[Rule]", "14"}], ",", 

              RowBox[{"ColorFunction", "\[Rule]", "arrowcolor"}]}], "]"}], 

            ",", 

            RowBox[{"VectorFieldPlot", "[", 

             RowBox[{

              RowBox[{"p", "[", 

               RowBox[{

                RowBox[{"nmaxpR", "[", "R0", "]"}], ",", "bs", ",", 

                "\[IndentingNewLine]", 

                RowBox[{"alphaCS", "[", 

                 RowBox[{"x", ",", "y", ",", 

                  RowBox[{"opt", "[", 

                   RowBox[{"[", "3", "]"}], "]"}], ",", "R0", ",", "ccs0", 

                  ",", 

                  RowBox[{"opt", "[", 

                   RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], "]"}], ",", 

              RowBox[{"{", 

               RowBox[{"x", ",", 

                RowBox[{"-", "xmaximum"}], ",", "xmaximum"}], "}"}], ",", 

              RowBox[{"{", 

               RowBox[{"y", ",", 

                RowBox[{"-", "xmaximum"}], ",", "xmaximum"}], "}"}], ",", 

              RowBox[{"PlotPoints", "\[Rule]", "14"}], ",", 

              RowBox[{"ColorFunction", "\[Rule]", "arrowcolor"}]}], "]"}]}], 

           "]"}]}], "]"}]}]}], "]"}]}], ";"}], "]"}], "[", 

  RowBox[{"[", "1", "]"}], "]"}], "\[IndentingNewLine]", 

 RowBox[{"Show", "[", 

  RowBox[{"{", 

   RowBox[{"field", ",", "arrows0"}], "}"}], "]"}]}], "Input",

 CellChangeTimes->{{3.4862010875341797`*^9, 3.4862011346904297`*^9}, {

   3.4862020302685547`*^9, 3.4862020308154297`*^9}, {3.4862020613466797`*^9, 

   3.4862020868623047`*^9}, {3.4862021169560547`*^9, 

   3.4862021316123047`*^9}, {3.486208615876953*^9, 3.486208715698242*^9}, 

   3.48620878559375*^9, {3.4862088800214844`*^9, 3.4862088825878906`*^9}, {

   3.486208949645508*^9, 3.4862089585507812`*^9}, {3.4862115116308594`*^9, 

   3.4862115127402344`*^9}, {3.4862117652402344`*^9, 3.4862117820527344`*^9}, 

   3.4862118285371094`*^9, {3.4862785279375*^9, 3.486278626125*^9}, {

   3.486278784015625*^9, 3.486278789953125*^9}, {3.48627882434375*^9, 

   3.4862789010625*^9}, {3.486278932140625*^9, 3.486278973453125*^9}, {

   3.486279694078125*^9, 3.48627969915625*^9}, {3.48628075375*^9, 

   3.48628077253125*^9}, {3.519398397368725*^9, 3.5193984251762342`*^9}, 

   3.519398467742795*^9, {3.519398916616673*^9, 3.519398924530949*^9}, {

   3.5193989779077663`*^9, 3.519398978244429*^9}, {3.519399216146405*^9, 

   3.519399219142284*^9}, {3.519399463267659*^9, 3.5193994646663094`*^9}}]

}, Open  ]],



Cell[CellGroupData[{



Cell["II .3. Torque map", "Subsubsection",

 CellChangeTimes->{{3.4863753159492188`*^9, 3.4863753633867188`*^9}, {

  3.4863755194335938`*^9, 3.4863755332148438`*^9}, {3.4863755735429688`*^9, 

  3.4863755789335938`*^9}}],



Cell["\<\

This cell calculates the torque that the scatterer would feel (green being \

counterclockwise, red clockwise) at different positions.

Recall that no torque is transmitted by the field to the scatterer if the \

refractive index of the scatterer is purely real.

The computation time is also given before the plot. (This time is longer than \

that for II.2 given the denser sampling.)\

\>", "Text",

 CellChangeTimes->{{3.4862946637246094`*^9, 3.4862947301572266`*^9}, {

  3.4863760836992188`*^9, 3.4863761102148438`*^9}, {3.487507074171875*^9, 

  3.487507144328125*^9}, {3.518637600352326*^9, 3.5186376078738003`*^9}},

 FontColor->RGBColor[0, 0, 1]],



Cell[BoxData[{

 RowBox[{

  RowBox[{

   RowBox[{"Greenrd", "[", "q_", "]"}], "=", 

   RowBox[{"If", "[", 

    RowBox[{

     RowBox[{"q", ">", 

      RowBox[{"1", "/", "2"}]}], ",", 

     RowBox[{"RGBColor", "[", 

      RowBox[{"0", ",", 

       RowBox[{

        RowBox[{"2", " ", "q"}], "-", "1"}], ",", "0"}], "]"}], ",", 

     RowBox[{"RGBColor", "[", 

      RowBox[{

       RowBox[{"1", "-", 

        RowBox[{"2", " ", "q"}]}], ",", "0", ",", "0"}], "]"}]}], "]"}]}], 

  ";"}], "\n", 

 RowBox[{

  RowBox[{"Timing", "[", 

   RowBox[{

    RowBox[{"torque", "=", 

     RowBox[{"Module", "[", 

      RowBox[{

       RowBox[{"{", "bs", "}"}], ",", 

       RowBox[{

        RowBox[{"bs", "=", 

         RowBox[{"Table", "[", 

          RowBox[{

           RowBox[{"bsc", "[", 

            RowBox[{"nc", ",", "R0", ",", "n0"}], "]"}], ",", 

           RowBox[{"{", 

            RowBox[{"nc", ",", 

             RowBox[{"-", 

              RowBox[{"nmaxpR", "[", "R0", "]"}]}], ",", 

             RowBox[{"nmaxpR", "[", "R0", "]"}]}], "}"}]}], "]"}]}], ";", 

        RowBox[{"Flatten", "[", 

         RowBox[{

          RowBox[{"Table", "[", 

           RowBox[{

            RowBox[{"{", 

             RowBox[{"x", ",", "y", ",", 

              RowBox[{"\[Tau]", "[", 

               RowBox[{

                RowBox[{"nmaxpR", "[", "R0", "]"}], ",", "bs", ",", 

                RowBox[{"If", "[", 

                 RowBox[{

                  RowBox[{

                   RowBox[{"opt", "[", 

                    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 

                   "\"\<even\>\""}], ",", 

                  RowBox[{"alphaC", "[", 

                   RowBox[{"x", ",", "y", ",", 

                    RowBox[{"opt", "[", 

                    RowBox[{"[", "3", "]"}], "]"}], ",", "R0", ",", 

                    RowBox[{"gammalistC", "[", 

                    RowBox[{

                    RowBox[{"opt", "[", 

                    RowBox[{"[", "3", "]"}], "]"}], ",", 

                    RowBox[{"opt", "[", 

                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], "]"}], ",", 

                  RowBox[{"If", "[", 

                   RowBox[{

                    RowBox[{

                    RowBox[{"opt", "[", 

                    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 

                    "\"\<odd\>\""}], ",", 

                    RowBox[{"alphaS", "[", 

                    RowBox[{"x", ",", "y", ",", 

                    RowBox[{"opt", "[", 

                    RowBox[{"[", "3", "]"}], "]"}], ",", "R0", ",", 

                    RowBox[{"gammalistS", "[", 

                    RowBox[{

                    RowBox[{"opt", "[", 

                    RowBox[{"[", "3", "]"}], "]"}], ",", 

                    RowBox[{"opt", "[", 

                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], "]"}], ",", 

                    RowBox[{"alphaCS", "[", 

                    RowBox[{"x", ",", "y", ",", 

                    RowBox[{"opt", "[", 

                    RowBox[{"[", "3", "]"}], "]"}], ",", "R0", ",", "ccs0", 

                    ",", 

                    RowBox[{"opt", "[", 

                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], "]"}]}], 

                 "]"}]}], "]"}]}], "}"}], ",", 

            RowBox[{"{", 

             RowBox[{"x", ",", 

              RowBox[{"-", "xmaximum"}], ",", "xmaximum", ",", 

              RowBox[{"2", " ", 

               RowBox[{"xmaximum", "/", "41"}]}]}], "}"}], ",", 

            RowBox[{"{", 

             RowBox[{"y", ",", 

              RowBox[{"-", "xmaximum"}], ",", "xmaximum", ",", 

              RowBox[{"2", " ", 

               RowBox[{"xmaximum", "/", "41"}]}]}], "}"}]}], "]"}], ",", 

          "1"}], "]"}]}]}], "]"}]}], ";"}], "]"}], "[", 

  RowBox[{"[", "1", "]"}], "]"}], "\[IndentingNewLine]", 

 RowBox[{"ListContourPlot", "[", 

  RowBox[{"torque", ",", 

   RowBox[{"ContourLines", "\[Rule]", "False"}], ",", 

   RowBox[{"ColorFunction", "\[Rule]", "Greenrd"}], ",", 

   RowBox[{"Contours", "\[Rule]", "40"}], ",", 

   RowBox[{"FrameTicksStyle", "\[Rule]", 

    RowBox[{"Directive", "[", "30", "]"}]}], ",", 

   RowBox[{"FrameLabel", "\[Rule]", 

    RowBox[{"{", 

     RowBox[{

      RowBox[{"Style", "[", 

       RowBox[{"\"\<kx\>\"", ",", "Italic", ",", 

        RowBox[{"FontSize", "\[Rule]", "40"}]}], "]"}], ",", 

      RowBox[{"Style", "[", 

       RowBox[{"\"\<ky\>\"", ",", "Italic", ",", 

        RowBox[{"FontSize", "\[Rule]", "40"}]}], "]"}]}], "}"}]}], ",", 

   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 

   RowBox[{"ImageSize", "\[Rule]", "Large"}]}], "]"}]}], "Input",

 CellChangeTimes->{{3.482995732978198*^9, 3.48299587995361*^9}, {

   3.482996229755789*^9, 3.482996295819503*^9}, {3.482996791003414*^9, 

   3.482996809702902*^9}, 3.4862121982089844`*^9, {3.48627979271875*^9, 

   3.4862798433125*^9}, {3.48627993040625*^9, 3.486279936734375*^9}, {

   3.486280284921875*^9, 3.486280321375*^9}, {3.4862912250585938`*^9, 

   3.486291249370117*^9}, {3.518636515475265*^9, 3.518636522187017*^9}, {

   3.518636705136441*^9, 3.5186367109116077`*^9}, {3.5193994768842583`*^9, 

   3.519399505657824*^9}}]

}, Open  ]],



Cell[CellGroupData[{



Cell["II .4. Scatterer trajectory", "Subsubsection",

 CellChangeTimes->{{3.4863753159492188`*^9, 3.4863753633867188`*^9}, {

  3.4863755194335938`*^9, 3.4863755332148438`*^9}, {3.4863755893242188`*^9, 

  3.4863756072304688`*^9}}],



Cell[TextData[{

 "This active cell shows the trajectory that the specified scatterer would \

follow if placed at rest at the position selected with the mouse by clicking \

on the plot.\nThe particle is shown in two colors in order to tell its \

angular position.\nYou can choose the number of steps shown, the time \

interval between steps, the field's intensity, and the amount of linear and \

angular drag (the friction coefficients \[CapitalGamma] and ",

 Cell[BoxData[

  FormBox[

   RowBox[{

    SubscriptBox["\[CapitalGamma]", "\[CapitalTheta]"], ")"}], 

   TraditionalForm]]],

 ".\nYou can also vary the opacity of the particle in the figure so you can \

distinguish the angular position of overlapping shots."

}], "Text",

 CellChangeTimes->{{3.4862947398339844`*^9, 3.48629499*^9}, {

  3.486298215444336*^9, 3.486298233663086*^9}, {3.4863761175429688`*^9, 

  3.4863761429023438`*^9}, {3.487491413251953*^9, 3.487491492142578*^9}, {

  3.487507240453125*^9, 3.48750728184375*^9}, {3.518637720855579*^9, 

  3.51863779538853*^9}, {3.518701226088317*^9, 3.518701226624617*^9}},

 FontColor->RGBColor[0, 0, 1]],



Cell[BoxData[

 RowBox[{"Manipulate", "[", 

  RowBox[{

   RowBox[{

    RowBox[{"pt", "=", "xy"}], ";", 

    RowBox[{"st", "=", "steps"}], ";", 

    RowBox[{"ti", "=", "time"}], ";", 

    RowBox[{"int", "=", "intensity"}], ";", 

    RowBox[{"ld", "=", "lineardrag"}], ";", 

    RowBox[{"ad", "=", "angulardrag"}], ";", 

    RowBox[{"Show", "[", 

     RowBox[{

      RowBox[{"{", 

       RowBox[{"field", ",", 

        RowBox[{"Graphics", "[", 

         RowBox[{"Module", "[", 

          RowBox[{

           RowBox[{"{", "pathpart", "}"}], ",", 

           RowBox[{

            RowBox[{"pathpart", "=", 

             RowBox[{"path", "[", 

              RowBox[{

               RowBox[{"xy", "[", 

                RowBox[{"[", "1", "]"}], "]"}], ",", 

               RowBox[{"xy", "[", 

                RowBox[{"[", "2", "]"}], "]"}], ",", "steps", ",", "time", 

               ",", 

               RowBox[{"20", " ", "intensity"}], ",", 

               RowBox[{"50", " ", "intensity"}], ",", "lineardrag", ",", 

               "angulardrag"}], "]"}]}], ";", 

            RowBox[{"Table", "[", 

             RowBox[{

              RowBox[{"{", 

               RowBox[{

                RowBox[{"Opacity", "[", "opacity", "]"}], ",", "Yellow", ",", 

                

                RowBox[{"Disk", "[", 

                 RowBox[{

                  RowBox[{"pathpart", "[", 

                   RowBox[{"[", 

                    RowBox[{

                    RowBox[{"t", "+", "1"}], ",", "1"}], "]"}], "]"}], ",", 

                  "R0", ",", 

                  RowBox[{"{", 

                   RowBox[{

                    RowBox[{"pathpart", "[", 

                    RowBox[{"[", 

                    RowBox[{

                    RowBox[{"t", "+", "1"}], ",", "2"}], "]"}], "]"}], ",", 

                    RowBox[{

                    RowBox[{"pathpart", "[", 

                    RowBox[{"[", 

                    RowBox[{

                    RowBox[{"t", "+", "1"}], ",", "2"}], "]"}], "]"}], "+", 

                    "Pi"}]}], "}"}]}], "]"}], ",", "Orange", ",", 

                RowBox[{"Disk", "[", 

                 RowBox[{

                  RowBox[{"pathpart", "[", 

                   RowBox[{"[", 

                    RowBox[{

                    RowBox[{"t", "+", "1"}], ",", "1"}], "]"}], "]"}], ",", 

                  "R0", ",", 

                  RowBox[{"{", 

                   RowBox[{

                    RowBox[{

                    RowBox[{"pathpart", "[", 

                    RowBox[{"[", 

                    RowBox[{

                    RowBox[{"t", "+", "1"}], ",", "2"}], "]"}], "]"}], "-", 

                    "Pi"}], ",", 

                    RowBox[{"pathpart", "[", 

                    RowBox[{"[", 

                    RowBox[{

                    RowBox[{"t", "+", "1"}], ",", "2"}], "]"}], "]"}]}], 

                   "}"}]}], "]"}]}], "}"}], ",", 

              RowBox[{"{", 

               RowBox[{"t", ",", "0", " ", ",", "steps"}], "}"}]}], "]"}]}]}],

           "]"}], "]"}]}], "}"}], ",", 

      RowBox[{"PlotRange", "\[Rule]", 

       RowBox[{"{", 

        RowBox[{

         RowBox[{"{", 

          RowBox[{

           RowBox[{"-", "xmaximum"}], ",", "xmaximum"}], "}"}], ",", 

         RowBox[{"{", 

          RowBox[{

           RowBox[{"-", "xmaximum"}], ",", "xmaximum"}], "}"}]}], "}"}]}]}], 

     "]"}]}], ",", 

   RowBox[{"{", 

    RowBox[{

     RowBox[{"{", 

      RowBox[{"xy", ",", 

       RowBox[{"{", 

        RowBox[{

         RowBox[{"xmaximum", "/", "2"}], ",", 

         RowBox[{"xmaximum", "/", "2"}]}], "}"}]}], "}"}], ",", "Locator"}], 

    "}"}], ",", 

   RowBox[{"{", 

    RowBox[{"steps", ",", "10", " ", ",", "100", ",", "10"}], "}"}], ",", 

   RowBox[{"{", 

    RowBox[{

     RowBox[{"{", 

      RowBox[{"time", ",", "1"}], "}"}], ",", ".1", ",", "2", ",", ".1"}], 

    "}"}], ",", 

   RowBox[{"{", 

    RowBox[{

     RowBox[{"{", 

      RowBox[{"intensity", ",", "1"}], "}"}], ",", "0", ",", "2"}], "}"}], 

   ",", 

   RowBox[{"{", 

    RowBox[{"lineardrag", ",", "0", ",", ".5"}], "}"}], ",", 

   RowBox[{"{", 

    RowBox[{"angulardrag", ",", "0", ",", ".5"}], "}"}], ",", 

   RowBox[{"{", 

    RowBox[{

     RowBox[{"{", 

      RowBox[{"opacity", ",", ".2"}], "}"}], ",", "0", ",", "1"}], "}"}]}], 

  "]"}]], "Input",

 CellChangeTimes->{{3.483163652625*^9, 3.4831640406484375`*^9}, {

   3.4831641151796875`*^9, 3.4831641202265625`*^9}, {3.4831641621796875`*^9, 

   3.4831641883515625`*^9}, 3.4831642517109375`*^9, {3.4831676642890625`*^9, 

   3.4831676728828125`*^9}, {3.4831679271328125`*^9, 

   3.4831679610078125`*^9}, {3.4831680937421875`*^9, 

   3.4831681287109375`*^9}, {3.4831683601640625`*^9, 3.4831683771328125`*^9}, 

   3.4831687573984375`*^9, {3.4831705410078125`*^9, 3.4831705599453125`*^9}, {

   3.4831706544296875`*^9, 3.4831707100390625`*^9}, {3.4831722916171875`*^9, 

   3.4831722992265625`*^9}, {3.4831723475078125`*^9, 

   3.4831723651640625`*^9}, {3.4862123838964844`*^9, 

   3.4862123933027344`*^9}, {3.4862124325058594`*^9, 

   3.4862124331777344`*^9}, {3.4862125060214844`*^9, 

   3.4862125927402344`*^9}, {3.4862126469277344`*^9, 

   3.4862126764902344`*^9}, {3.4862127805527344`*^9, 

   3.4862128044902344`*^9}, {3.4862129489589844`*^9, 3.4862129996308594`*^9}, 

   3.4862130340683594`*^9, {3.4862131198027344`*^9, 3.4862131466777344`*^9}, {

   3.4862131869433594`*^9, 3.4862132116152344`*^9}, {3.4862132893183594`*^9, 

   3.4862132975371094`*^9}, 3.486281833*^9, {3.486281864734375*^9, 

   3.486281905421875*^9}, {3.486281941140625*^9, 3.486281967734375*^9}, {

   3.486281999328125*^9, 3.48628203875*^9}, {3.4862822729375*^9, 

   3.486282273921875*^9}, {3.4862824000625*^9, 3.486282427890625*^9}, {

   3.486288949651367*^9, 3.486289019276367*^9}, {3.486297677109375*^9, 

   3.48629778690625*^9}, {3.486298039859375*^9, 3.486298040046875*^9}, {

   3.4863761594804688`*^9, 3.4863761723710938`*^9}}]

}, Open  ]],



Cell[CellGroupData[{



Cell["II .5. Scatterer trajectory movie", "Subsubsection",

 CellChangeTimes->{{3.4863753159492188`*^9, 3.4863753633867188`*^9}, {

  3.4863755194335938`*^9, 3.4863755332148438`*^9}, {3.4863756126210938`*^9, 

  3.4863756218242188`*^9}}],



Cell["\<\

By running this cell you generate a movie file called \"trappingmovie.gif \

whose frames correspond to the different positions of the particle that are \

shown overlaid in II.4.

Make sure to run II.4 before generating this movie, and to choose the number \

of steps so that the particle is visible in the plotted region at all steps.\

\>", "Text",

 CellChangeTimes->{{3.486295003135742*^9, 3.4862950590146484`*^9}, {

  3.4863762163085938`*^9, 3.4863762788867188`*^9}, {3.518637825890438*^9, 

  3.518637826316654*^9}, {3.624632253139567*^9, 3.62463225361017*^9}},

 FontColor->RGBColor[0, 0, 1]],



Cell[BoxData[{

 RowBox[{

  RowBox[{"movie", "=", 

   RowBox[{"Module", "[", 

    RowBox[{

     RowBox[{"{", "pathpart", "}"}], ",", 

     RowBox[{

      RowBox[{"pathpart", "=", 

       RowBox[{"path", "[", 

        RowBox[{

         RowBox[{"pt", "[", 

          RowBox[{"[", "1", "]"}], "]"}], ",", 

         RowBox[{"pt", "[", 

          RowBox[{"[", "2", "]"}], "]"}], ",", "st", ",", "ti", ",", 

         RowBox[{"20", " ", "int"}], ",", 

         RowBox[{"50", " ", "int"}], ",", "ld", ",", "ad"}], "]"}]}], ";", 

      RowBox[{"Table", "[", 

       RowBox[{

        RowBox[{"Show", "[", 

         RowBox[{

          RowBox[{"{", 

           RowBox[{"field", ",", 

            RowBox[{"Graphics", "[", 

             RowBox[{"{", 

              RowBox[{

               RowBox[{"Opacity", "[", ".2", "]"}], ",", "Yellow", ",", 

               RowBox[{"Disk", "[", 

                RowBox[{

                 RowBox[{"pathpart", "[", 

                  RowBox[{"[", 

                   RowBox[{

                    RowBox[{"t", "+", "1"}], ",", "1"}], "]"}], "]"}], ",", 

                 "R0", ",", 

                 RowBox[{"{", 

                  RowBox[{

                   RowBox[{"pathpart", "[", 

                    RowBox[{"[", 

                    RowBox[{

                    RowBox[{"t", "+", "1"}], ",", "2"}], "]"}], "]"}], ",", 

                   RowBox[{

                    RowBox[{"pathpart", "[", 

                    RowBox[{"[", 

                    RowBox[{

                    RowBox[{"t", "+", "1"}], ",", "2"}], "]"}], "]"}], "+", 

                    "Pi"}]}], "}"}]}], "]"}], ",", "Orange", ",", 

               RowBox[{"Disk", "[", 

                RowBox[{

                 RowBox[{"pathpart", "[", 

                  RowBox[{"[", 

                   RowBox[{

                    RowBox[{"t", "+", "1"}], ",", "1"}], "]"}], "]"}], ",", 

                 "R0", ",", 

                 RowBox[{"{", 

                  RowBox[{

                   RowBox[{

                    RowBox[{"pathpart", "[", 

                    RowBox[{"[", 

                    RowBox[{

                    RowBox[{"t", "+", "1"}], ",", "2"}], "]"}], "]"}], "-", 

                    "Pi"}], ",", 

                   RowBox[{"pathpart", "[", 

                    RowBox[{"[", 

                    RowBox[{

                    RowBox[{"t", "+", "1"}], ",", "2"}], "]"}], "]"}]}], 

                  "}"}]}], "]"}]}], "}"}], "]"}]}], "}"}], ",", 

          RowBox[{"PlotRange", "\[Rule]", 

           RowBox[{"{", 

            RowBox[{

             RowBox[{"{", 

              RowBox[{

               RowBox[{"-", "xmaximum"}], ",", "xmaximum"}], "}"}], ",", 

             RowBox[{"{", 

              RowBox[{

               RowBox[{"-", "xmaximum"}], ",", "xmaximum"}], "}"}]}], 

            "}"}]}]}], "]"}], ",", 

        RowBox[{"{", 

         RowBox[{"t", ",", "0", " ", ",", "st"}], "}"}]}], "]"}]}]}], "]"}]}],

   ";"}], "\[IndentingNewLine]", 

 RowBox[{"Export", "[", 

  RowBox[{"\"\<trappingmovie.gif\>\"", ",", "movie"}], "]"}]}], "Input",

 CellChangeTimes->{{3.483163652625*^9, 3.4831640406484375`*^9}, {

   3.4831641151796875`*^9, 3.4831641202265625`*^9}, {3.4831641621796875`*^9, 

   3.4831641883515625`*^9}, 3.4831642517109375`*^9, {3.4831676642890625`*^9, 

   3.4831676728828125`*^9}, {3.4831679271328125`*^9, 

   3.4831679610078125`*^9}, {3.4831680937421875`*^9, 

   3.4831681287109375`*^9}, {3.4831683601640625`*^9, 3.4831683771328125`*^9}, 

   3.4831687573984375`*^9, {3.4831705410078125`*^9, 3.4831705599453125`*^9}, {

   3.4831706544296875`*^9, 3.4831707100390625`*^9}, {3.4831722916171875`*^9, 

   3.4831722992265625`*^9}, {3.4831723475078125`*^9, 

   3.4831723651640625`*^9}, {3.4862123838964844`*^9, 

   3.4862123933027344`*^9}, {3.4862124325058594`*^9, 

   3.4862124331777344`*^9}, {3.4862125060214844`*^9, 

   3.4862125927402344`*^9}, {3.4862126469277344`*^9, 

   3.4862126764902344`*^9}, {3.4862127805527344`*^9, 

   3.4862128044902344`*^9}, {3.4862129489589844`*^9, 3.4862129996308594`*^9}, 

   3.4862130340683594`*^9, {3.4862131198027344`*^9, 3.4862131466777344`*^9}, {

   3.4862131869433594`*^9, 3.4862132116152344`*^9}, {3.4862132893183594`*^9, 

   3.4862132975371094`*^9}, 3.486281833*^9, {3.486281864734375*^9, 

   3.486281905421875*^9}, {3.486281941140625*^9, 3.486281967734375*^9}, {

   3.486281999328125*^9, 3.48628203875*^9}, {3.4862822729375*^9, 

   3.486282273921875*^9}, {3.4862824000625*^9, 3.486282427890625*^9}, {

   3.486288949651367*^9, 3.486289019276367*^9}, {3.486289194791992*^9, 

   3.486289239432617*^9}, {3.486289289979492*^9, 3.486289428604492*^9}, {

   3.486289472416992*^9, 3.486289477682617*^9}, {3.486289525698242*^9, 

   3.486289543760742*^9}, {3.48629781471875*^9, 3.48629782465625*^9}, {

   3.6246321437618647`*^9, 3.6246321443836927`*^9}}]

}, Open  ]],



Cell[CellGroupData[{



Cell["II .6. Scattered field plot", "Subsubsection",

 CellChangeTimes->{{3.4863753159492188`*^9, 3.4863753633867188`*^9}, {

  3.4863755194335938`*^9, 3.4863755332148438`*^9}, {3.4863756326835938`*^9, 

  3.4863756391054688`*^9}}],



Cell["\<\

By running this passive cell, you generate an intensity plot of the field \

inside and outside of the scatterer at the initial position specified in cell \

II.4.

The number numsamp specifies the number of sample points in each direction. \

The time this computation takes is shown before the plot.\

\>", "Text",

 CellChangeTimes->{{3.4862950731748047`*^9, 3.4862951262890625`*^9}, {

  3.486295286578125*^9, 3.4862953277470703`*^9}, {3.4863757509492188`*^9, 

  3.4863757587773438`*^9}, {3.4863763001210938`*^9, 3.4863763156679688`*^9}, {

  3.518637842946425*^9, 3.518637844197373*^9}},

 FontColor->RGBColor[0, 0, 1]],



Cell[BoxData[{

 RowBox[{

  RowBox[{"numsamp", "=", "71"}], ";"}], "\[IndentingNewLine]", 

 RowBox[{

  RowBox[{"Timing", "[", 

   RowBox[{

    RowBox[{"plotscatfield", "=", 

     RowBox[{"plotscat", "[", 

      RowBox[{

       RowBox[{"pt", "[", 

        RowBox[{"[", "1", "]"}], "]"}], ",", 

       RowBox[{"pt", "[", 

        RowBox[{"[", "2", "]"}], "]"}], ",", "numsamp"}], "]"}]}], ";"}], 

   "]"}], "[", 

  RowBox[{"[", "1", "]"}], 

  "]"}], "\[IndentingNewLine]", "plotscatfield"}], "Input",

 CellChangeTimes->{{3.4862983186171875`*^9, 3.4862984001640625`*^9}, {

   3.4862984322109375`*^9, 3.4862984568203125`*^9}, {3.4862987044296875`*^9, 

   3.4862987107421875`*^9}, {3.4862992884453125`*^9, 

   3.4862993150390625`*^9}, {3.4862995086171875`*^9, 3.4862995514140625`*^9}, 

   3.4862999235546875`*^9, {3.4863000112265625`*^9, 3.4863000173984375`*^9}, 

   3.486377586196289*^9}]

}, Open  ]],



Cell[CellGroupData[{



Cell["II .7. Scattered field movie", "Subsubsection",

 CellChangeTimes->{{3.4863753159492188`*^9, 3.4863753633867188`*^9}, {

  3.4863755194335938`*^9, 3.4863755332148438`*^9}, {3.4863756326835938`*^9, 

  3.4863756575429688`*^9}}],



Cell["\<\

This cell generates a movie called \"trappingmovie2.gif\" that is similar to \

the one generated in II.5, but showing the true intensity inside and outside \

of the scatterer rather than just the intensity of the incident field.

The number of sample points is given by numsamp.

This cell can take a long time to run, approximately equal to the time shown \

in II.6, times the number of steps prescribed in II.4.\

\>", "Text",

 CellChangeTimes->{{3.4862951490527344`*^9, 3.486295280423828*^9}, {

  3.4862953601328125`*^9, 3.4862953859179688`*^9}, {3.4863756950585938`*^9, 

  3.4863757352617188`*^9}, {3.4863757666523438`*^9, 3.4863757742148438`*^9}, {

  3.4863763296367188`*^9, 3.4863764130742188`*^9}, {3.518637863311242*^9, 

  3.518637879326713*^9}, {3.62463227148414*^9, 3.624632271962685*^9}},

 FontColor->RGBColor[0, 0, 1]],



Cell[BoxData[{

 RowBox[{

  RowBox[{"movie2", "=", 

   RowBox[{"Module", "[", 

    RowBox[{

     RowBox[{"{", "pathpart", "}"}], ",", 

     RowBox[{

      RowBox[{"pathpart", "=", 

       RowBox[{"path", "[", 

        RowBox[{

         RowBox[{"pt", "[", 

          RowBox[{"[", "1", "]"}], "]"}], ",", 

         RowBox[{"pt", "[", 

          RowBox[{"[", "2", "]"}], "]"}], ",", "st", ",", "ti", ",", 

         RowBox[{"20", " ", "int"}], ",", 

         RowBox[{"50", " ", "int"}], ",", "ld", ",", "ad"}], "]"}]}], ";", 

      RowBox[{"Table", "[", 

       RowBox[{

        RowBox[{"plotscat", "[", 

         RowBox[{

          RowBox[{

           RowBox[{"pathpart", "[", 

            RowBox[{"[", 

             RowBox[{

              RowBox[{"t", "+", "1"}], ",", "1"}], "]"}], "]"}], "[", 

           RowBox[{"[", "1", "]"}], "]"}], ",", 

          RowBox[{

           RowBox[{"pathpart", "[", 

            RowBox[{"[", 

             RowBox[{

              RowBox[{"t", "+", "1"}], ",", "1"}], "]"}], "]"}], "[", 

           RowBox[{"[", "2", "]"}], "]"}], ",", "numsamp"}], "]"}], ",", 

        RowBox[{"{", 

         RowBox[{"t", ",", "0", " ", ",", "st"}], "}"}]}], "]"}]}]}], "]"}]}],

   ";"}], "\[IndentingNewLine]", 

 RowBox[{"Export", "[", 

  RowBox[{"\"\<trappingmovie2.gif\>\"", ",", "movie2"}], "]"}]}], "Input",

 CellChangeTimes->{{3.483163652625*^9, 3.4831640406484375`*^9}, {

   3.4831641151796875`*^9, 3.4831641202265625`*^9}, {3.4831641621796875`*^9, 

   3.4831641883515625`*^9}, 3.4831642517109375`*^9, {3.4831676642890625`*^9, 

   3.4831676728828125`*^9}, {3.4831679271328125`*^9, 

   3.4831679610078125`*^9}, {3.4831680937421875`*^9, 

   3.4831681287109375`*^9}, {3.4831683601640625`*^9, 3.4831683771328125`*^9}, 

   3.4831687573984375`*^9, {3.4831705410078125`*^9, 3.4831705599453125`*^9}, {

   3.4831706544296875`*^9, 3.4831707100390625`*^9}, {3.4831722916171875`*^9, 

   3.4831722992265625`*^9}, {3.4831723475078125`*^9, 

   3.4831723651640625`*^9}, {3.4862123838964844`*^9, 

   3.4862123933027344`*^9}, {3.4862124325058594`*^9, 

   3.4862124331777344`*^9}, {3.4862125060214844`*^9, 

   3.4862125927402344`*^9}, {3.4862126469277344`*^9, 

   3.4862126764902344`*^9}, {3.4862127805527344`*^9, 

   3.4862128044902344`*^9}, {3.4862129489589844`*^9, 3.4862129996308594`*^9}, 

   3.4862130340683594`*^9, {3.4862131198027344`*^9, 3.4862131466777344`*^9}, {

   3.4862131869433594`*^9, 3.4862132116152344`*^9}, {3.4862132893183594`*^9, 

   3.4862132975371094`*^9}, 3.486281833*^9, {3.486281864734375*^9, 

   3.486281905421875*^9}, {3.486281941140625*^9, 3.486281967734375*^9}, {

   3.486281999328125*^9, 3.48628203875*^9}, {3.4862822729375*^9, 

   3.486282273921875*^9}, {3.4862824000625*^9, 3.486282427890625*^9}, {

   3.486288949651367*^9, 3.486289019276367*^9}, {3.486289194791992*^9, 

   3.486289239432617*^9}, {3.486289289979492*^9, 3.486289428604492*^9}, {

   3.486289472416992*^9, 3.486289477682617*^9}, {3.486289525698242*^9, 

   3.486289543760742*^9}, 3.4862925563466797`*^9, {3.486292631463867*^9, 

   3.486292683055664*^9}, {3.4862953530390625`*^9, 3.48629535528125*^9}, {

   3.48629794565625*^9, 3.486297951953125*^9}, {3.624632153343878*^9, 

   3.624632153847805*^9}}]

}, Open  ]]

}, Open  ]]

}, Open  ]]

}, Open  ]]

},

WindowSize->{876, 806},

WindowMargins->{{144, Automatic}, {Automatic, 19}},

PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},

FrontEndVersion->"10.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (September 9, \

2014)",

StyleDefinitions->"Default.nb"

]

(* End of Notebook Content *)



(* Internal cache information *)

(*CellTagsOutline

CellTagsIndex->{}

*)

(*CellTagsIndex

CellTagsIndex->{}

*)

(*NotebookFileOutline

Notebook[{

Cell[CellGroupData[{

Cell[567, 22, 356, 7, 260, "Title"],

Cell[926, 31, 111, 5, 141, "Subtitle"],

Cell[CellGroupData[{

Cell[1062, 40, 304, 5, 64, "Section"],

Cell[CellGroupData[{

Cell[1391, 49, 84138, 2187, 3118, "Input"],

Cell[85532, 2238, 396, 9, 70, "Message"]

}, Open  ]]

}, Closed]],

Cell[CellGroupData[{

Cell[85977, 2253, 145, 2, 50, "Section"],

Cell[CellGroupData[{

Cell[86147, 2259, 192, 3, 44, "Subsection"],

Cell[CellGroupData[{

Cell[86364, 2266, 207, 3, 35, "Subsubsection"],

Cell[86574, 2271, 686, 14, 68, "Text"],

Cell[87263, 2287, 3332, 80, 165, "Input"]

}, Open  ]],

Cell[CellGroupData[{

Cell[90632, 2372, 140, 1, 35, "Subsubsection"],

Cell[90775, 2375, 1556, 28, 201, "Text"],

Cell[92334, 2405, 11150, 253, 403, "Input"]

}, Open  ]],

Cell[CellGroupData[{

Cell[103521, 2663, 171, 2, 35, "Subsubsection"],

Cell[103695, 2667, 651, 12, 68, "Text"],

Cell[104349, 2681, 7742, 179, 369, "Input"],

Cell[112094, 2862, 248, 5, 30, "Text"],

Cell[112345, 2869, 178, 2, 28, "Input"]

}, Open  ]]

}, Open  ]],

Cell[CellGroupData[{

Cell[112572, 2877, 192, 3, 44, "Subsection"],

Cell[CellGroupData[{

Cell[112789, 2884, 175, 2, 35, "Subsubsection"],

Cell[112967, 2888, 268, 5, 49, "Text"],

Cell[113238, 2895, 4176, 90, 131, "Input"]

}, Open  ]],

Cell[CellGroupData[{

Cell[117451, 2990, 164, 2, 35, "Subsubsection"],

Cell[117618, 2994, 536, 10, 68, "Text"],

Cell[118157, 3006, 5536, 122, 199, "Input"]

}, Open  ]],

Cell[CellGroupData[{

Cell[123730, 3133, 218, 3, 35, "Subsubsection"],

Cell[123951, 3138, 656, 11, 87, "Text"],

Cell[124610, 3151, 5111, 121, 250, "Input"]

}, Open  ]],

Cell[CellGroupData[{

Cell[129758, 3277, 228, 3, 35, "Subsubsection"],

Cell[129989, 3282, 1110, 20, 146, "Text"],

Cell[131102, 3304, 5891, 141, 301, "Input"]

}, Open  ]],

Cell[CellGroupData[{

Cell[137030, 3450, 234, 3, 35, "Subsubsection"],

Cell[137267, 3455, 603, 10, 87, "Text"],

Cell[137873, 3467, 4802, 105, 165, "Input"]

}, Open  ]],

Cell[CellGroupData[{

Cell[142712, 3577, 228, 3, 35, "Subsubsection"],

Cell[142943, 3582, 625, 11, 87, "Text"],

Cell[143571, 3595, 883, 21, 63, "Input"]

}, Open  ]],

Cell[CellGroupData[{

Cell[144491, 3621, 229, 3, 35, "Subsubsection"],

Cell[144723, 3626, 837, 13, 106, "Text"],

Cell[145563, 3641, 3196, 64, 63, "Input"]

}, Open  ]]

}, Open  ]]

}, Open  ]]

}, Open  ]]

}

]

*)



(* End of internal cache information *)

